"use strict";
exports.id = 113;
exports.ids = [113];
exports.modules = {

/***/ 1359:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);



const Wrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)``;
const ClickOutsideWrapper = ({ children , setIsOpen  })=>{
    const ref = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        // eslint-disable-next-line
        const handleClick = (event)=>{
            if (setIsOpen && ref.current && !ref.current.contains(event.target)) {
                setIsOpen(false);
            }
        };
        document.addEventListener("click", handleClick);
        return ()=>{
            document.removeEventListener("click", handleClick);
        };
    }, [
        setIsOpen,
        ref
    ]);
    return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Wrapper, {
        ref: ref,
        children: children
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ClickOutsideWrapper);


/***/ }),

/***/ 7433:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "Z": () => (/* binding */ currency_icon_and_ticker)
});

// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(997);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(6689);
// EXTERNAL MODULE: external "@emotion/styled"
var styled_ = __webpack_require__(1480);
var styled_default = /*#__PURE__*/__webpack_require__.n(styled_);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
var image_default = /*#__PURE__*/__webpack_require__.n(next_image);
// EXTERNAL MODULE: ./src/helpers/constants.ts
var constants = __webpack_require__(7601);
;// CONCATENATED MODULE: ./src/helpers/is-hidden-network-label.ts
const isHiddenNetworkLabel = (currency)=>currency.ticker?.toLowerCase() === currency.network?.toLowerCase();

;// CONCATENATED MODULE: ./src/app/components/currency-icon-and-ticker.tsx






const ImageWrapper = (styled_default()).div`
  width: 30px;
  height: 30px;
  position: relative;
`;
const CurrencyTicker = (styled_default()).span`
  font-size: 18px;
  font-weight: 800;
  text-transform: uppercase;
  margin-left: 10px;
  color: ${({ theme  })=>theme.colors.text.main};
  @media (max-width: ${constants/* BREAKPOINTS.mobile */.j.mobile}) {
    font-size: 16px;
  }
`;
const CurrencyTickerSelect = (styled_default()).span`
  font-size: 18px;
  font-weight: 800;
  text-transform: uppercase;
  margin-left: 10px;
  @media (max-width: ${constants/* BREAKPOINTS.mobile */.j.mobile}) {
    font-size: 16px;
  }
`;
const CurrencyNetwork = (styled_default()).span`
  background: ${({ theme  })=>theme.colors.background.dark};
  border-radius: ${({ theme  })=>theme.borderRadius.normal};
  color: ${({ theme  })=>theme.colors.text.main};
  display: flex;
  font-size: 11px;
  font-weight: 800;
  text-transform: uppercase;
  margin-left: 5px;
  padding: 3px 6px;
`;
const CurrencyIconAndTicker = ({ currencyInfo , select  })=>/*#__PURE__*/ (0,jsx_runtime_.jsxs)(jsx_runtime_.Fragment, {
        children: [
            /*#__PURE__*/ jsx_runtime_.jsx(ImageWrapper, {
                children: /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                    fill: true,
                    src: currencyInfo.icon.replace("//uploads", "/uploads"),
                    alt: currencyInfo.name
                })
            }),
            !select ? /*#__PURE__*/ jsx_runtime_.jsx(CurrencyTicker, {
                children: currencyInfo.ticker
            }) : /*#__PURE__*/ jsx_runtime_.jsx(CurrencyTickerSelect, {
                children: currencyInfo.ticker
            }),
            !isHiddenNetworkLabel(currencyInfo) && /*#__PURE__*/ jsx_runtime_.jsx(CurrencyNetwork, {
                children: currencyInfo.network
            })
        ]
    });
const isEqualProps = (prev, next)=>prev.currencyInfo.ticker === next.currencyInfo.ticker && prev.currencyInfo.network === next.currencyInfo.network;
/* harmony default export */ const currency_icon_and_ticker = (/*#__PURE__*/(0,external_react_.memo)(CurrencyIconAndTicker, isEqualProps));


/***/ }),

/***/ 3493:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var app_components_button__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(8548);
/* harmony import */ var app_components_currency_icon_and_ticker__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(7433);
/* harmony import */ var app_store__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8751);
/* harmony import */ var app_styles_input_style__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(8386);
/* harmony import */ var features_calculator_selectors__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(4629);
/* harmony import */ var helpers_get_currency_key__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(9439);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([app_store__WEBPACK_IMPORTED_MODULE_6__]);
app_store__WEBPACK_IMPORTED_MODULE_6__ = (__webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__)[0];










const SelectWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  max-height: 400px;
`;
const HeaderWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  align-items: center;
  justify-content: space-between;
  display: flex;
  flex-direction: row;
`;
const SearchWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  align-items: center;
  background-color: ${({ theme  })=>theme.colors.background.main};
  border-radius: ${({ theme  })=>theme.borderRadius.normal};
  display: flex;
  padding: 15px;
  justify-content: space-between;
  margin: 20px 0;
`;
const SearchInput = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().input)`
  ${app_styles_input_style__WEBPACK_IMPORTED_MODULE_7__/* .inputStyle */ .h};
  font-size: 16px;
  width: 90%;

  ::placeholder {
    color: ${({ theme  })=>theme.colors.text.placeholder};
  }
`;
const CloseButton = _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default()(app_components_button__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Z)`
  background: transparent;

  :hover {
    background: transparent;
  }

  :focus {
    background: transparent;
  }
`;
const Title = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().span)`
  display: block;
  font-weight: 700;
  color: ${({ theme , isPrimary  })=>isPrimary ? theme.colors.primary : theme.colors.text.main};
  padding: ${({ isPrimary  })=>isPrimary ? "0" : "10px 0 5px 0"};
`;
const CurrencyWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  display: flex;
  align-items: center;
  padding: 10px 0;
  cursor: pointer;
  border-bottom: 1px solid ${({ theme  })=>theme.colors.border.main};
`;
const ListWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  max-height: 300px;
  overflow-y: scroll;
`;
const ZeroState = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().span)`
  align-items: center;
  color: ${({ theme  })=>theme.colors.text.main};
  display: flex;
  font-size: 14px;
  font-weight: 700;
  gap: 5px;
  justify-content: center;
`;
const isItemInSearch = (searchQuery, currency)=>currency.ticker?.toLowerCase()?.includes(searchQuery.toLowerCase()) || currency.name?.toLowerCase()?.includes(searchQuery.toLowerCase());
const renderItem = (currency, onSelect)=>/*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(CurrencyWrapper, {
        onClick: onSelect,
        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_currency_icon_and_ticker__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z, {
            currencyInfo: currency,
            select: false
        })
    }, (0,helpers_get_currency_key__WEBPACK_IMPORTED_MODULE_9__/* .getCurrencyKey */ .K)(currency));
const CurrencySelect = ({ title , onSelect , onClose , isOpened  })=>{
    const currenciesInfo = (0,app_store__WEBPACK_IMPORTED_MODULE_6__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_8__/* .selectCurrenciesInfo */ .S9);
    const [searchQuery, setSearchQuery] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)("");
    const currenciesList = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(()=>Object.values(currenciesInfo), [
        currenciesInfo
    ]);
    const popularCurrencies = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(()=>currenciesList.filter((currency)=>currency.isPopular && isItemInSearch(searchQuery, currency)), [
        currenciesList,
        searchQuery
    ]);
    const otherCurrencies = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(()=>currenciesList.filter((currency)=>!currency.isPopular && isItemInSearch(searchQuery, currency)), [
        currenciesList,
        searchQuery
    ]);
    const handleSearchChange = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((event)=>{
        const { value  } = event.currentTarget;
        setSearchQuery(value);
    }, []);
    const handleClose = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(()=>{
        if (onClose) {
            onClose();
            setSearchQuery("");
        }
    }, [
        onClose
    ]);
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(SelectWrapper, {
        children: [
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(HeaderWrapper, {
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Title, {
                        isPrimary: true,
                        children: title
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(CloseButton, {
                        onClick: handleClose,
                        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                            width: 12,
                            height: 12,
                            src: "/icons/close-icon-white.svg",
                            alt: "Close"
                        })
                    })
                ]
            }),
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(SearchWrapper, {
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(SearchInput, {
                        value: searchQuery,
                        onChange: handleSearchChange,
                        placeholder: "Type a currency"
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                        width: 18,
                        height: 18,
                        src: "/icons/search-icon.svg",
                        alt: "Search"
                    })
                ]
            }),
            isOpened && /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(ListWrapper, {
                children: [
                    !!popularCurrencies.length && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Title, {
                        children: "Popular currencies"
                    }),
                    popularCurrencies.map((currency)=>renderItem(currency, onSelect && onSelect((0,helpers_get_currency_key__WEBPACK_IMPORTED_MODULE_9__/* .getCurrencyKey */ .K)(currency)))),
                    !!otherCurrencies.length && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Title, {
                        children: "All currencies"
                    }),
                    otherCurrencies.map((currency)=>renderItem(currency, onSelect && onSelect((0,helpers_get_currency_key__WEBPACK_IMPORTED_MODULE_9__/* .getCurrencyKey */ .K)(currency)))),
                    !popularCurrencies.length && !otherCurrencies.length && /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(ZeroState, {
                        children: [
                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                                width: 15,
                                height: 15,
                                src: "/icons/empty-search-icon.svg",
                                alt: "Empty search"
                            }),
                            "No matches were found for your query"
                        ]
                    })
                ]
            })
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CurrencySelect);

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 8588:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var helpers_constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7601);




const Wrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  position: absolute;
  z-index: 5;
  bottom: 30px;
  left: -10px;
`;
const Arrow = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  width: 36px;
  height: 36px;
  position: relative;
  z-index: 6;
  background: ${({ theme  })=>theme.colors.background.light};
  transform: rotate(45deg);

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_3__/* .BREAKPOINTS.tablet */ .j.tablet}) {
    width: 16px;
    height: 16px;
  }
`;
const Content = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  width: 260px;
  position: absolute;
  z-index: 5;
  left: -110px;
  bottom: 18px;
  padding: 30px;
  background: ${({ theme  })=>theme.colors.background.light};
  border-radius: 20px;
  box-shadow: ${({ theme  })=>theme.boxShadow.primary};

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_3__/* .BREAKPOINTS.tablet */ .j.tablet}) {
    padding: 10px;
    bottom: 8px;
    left: -90px;
    width: 200px;
  }
`;
const Title = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().h5)`
  font-size: 14px;
  text-align: center;
  margin-bottom: 20px;
  color: ${({ theme  })=>theme.colors.text.main};
  opacity: 0.8;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_3__/* .BREAKPOINTS.tablet */ .j.tablet}) {
    margin-bottom: 12px;
    font-size: 12px;
  }
`;
const Text = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().p)`
  text-align: center;
  color: ${({ theme  })=>theme.colors.text.main};

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_3__/* .BREAKPOINTS.tablet */ .j.tablet}) {
    font-size: 10px;
  }
`;
const HoverPopUp = ({ title , text  })=>/*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Wrapper, {
        children: [
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Arrow, {}),
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Content, {
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Title, {
                        children: title
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Text, {
                        children: text
                    })
                ]
            })
        ]
    });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (HoverPopUp);


/***/ }),

/***/ 617:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2805);
/* harmony import */ var _emotion_react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var helpers_constants__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7601);





const openedErrorMessage = _emotion_react__WEBPACK_IMPORTED_MODULE_2__.css`
  top: -30px;
  visibility: visible;
  opacity: 1;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_4__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    top: -25px;
  }
`;
const closedErrorMessage = _emotion_react__WEBPACK_IMPORTED_MODULE_2__.css`
  top: 0;
  visibility: hidden;
  opacity: 0;
`;
const ErrorWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  background-color: ${({ theme  })=>theme.colors.text.placeholder};
  border-radius: ${({ theme  })=>`${theme.borderRadius.normal} ${theme.borderRadius.normal} 0 0`};
  color: ${({ theme  })=>theme.colors.text.main};
  padding: 5px 20px 20px;
  position: absolute;
  left: 0;
  transition: all 0.2s linear;
  width: 100%;
  z-index: 1;
  ${({ isOpened  })=>isOpened ? openedErrorMessage : closedErrorMessage};

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_4__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    font-size: 11px;
  }
`;
const InputErrorMessage = ({ isShown , errorMessage  })=>/*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(ErrorWrapper, {
        isOpened: !!isShown,
        children: errorMessage
    });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (InputErrorMessage);


/***/ }),

/***/ 8386:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "h": () => (/* binding */ inputStyle)
/* harmony export */ });
/* harmony import */ var _emotion_react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2805);
/* harmony import */ var _emotion_react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_emotion_react__WEBPACK_IMPORTED_MODULE_0__);

const inputStyle = _emotion_react__WEBPACK_IMPORTED_MODULE_0__.css`
  background-color: transparent;
  border: none;
  font-size: 24px;
  line-height: 29px;
  font-weight: 800;
  padding: 0;

  :focus {
    outline: none;
  }
`;


/***/ }),

/***/ 2113:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2805);
/* harmony import */ var _emotion_react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var app_components_click_outside_wrapper__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1359);
/* harmony import */ var app_components_currency_select__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(3493);
/* harmony import */ var app_components_loader__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(471);
/* harmony import */ var app_store__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(8751);
/* harmony import */ var features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(8206);
/* harmony import */ var features_calculator_components_calculator_input__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(8052);
/* harmony import */ var features_calculator_components_fixed_rate__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(3237);
/* harmony import */ var features_calculator_components_swap_button__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(9560);
/* harmony import */ var features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(4629);
/* harmony import */ var features_calculator_thunks__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(5508);
/* harmony import */ var helpers_constants__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(7601);
/* harmony import */ var types_exchange__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(7296);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([app_components_currency_select__WEBPACK_IMPORTED_MODULE_5__, app_store__WEBPACK_IMPORTED_MODULE_7__, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__, features_calculator_components_calculator_input__WEBPACK_IMPORTED_MODULE_9__, features_calculator_components_fixed_rate__WEBPACK_IMPORTED_MODULE_10__, features_calculator_components_swap_button__WEBPACK_IMPORTED_MODULE_11__, features_calculator_thunks__WEBPACK_IMPORTED_MODULE_13__]);
([app_components_currency_select__WEBPACK_IMPORTED_MODULE_5__, app_store__WEBPACK_IMPORTED_MODULE_7__, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__, features_calculator_components_calculator_input__WEBPACK_IMPORTED_MODULE_9__, features_calculator_components_fixed_rate__WEBPACK_IMPORTED_MODULE_10__, features_calculator_components_swap_button__WEBPACK_IMPORTED_MODULE_11__, features_calculator_thunks__WEBPACK_IMPORTED_MODULE_13__] = __webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__);
















const LoaderWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 220px;
  min-width: 380px;
  width: 100%;
`;
const InfoWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  align-items: center;
  display: flex;
  margin-bottom: 20px;
  justify-content: space-between;
  min-height: 60px;
`;
const Row = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  display: flex;
`;
const InfoInnerWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  display: flex;
  margin-right: 8px;
  flex-direction: column;
  gap: 10px;
`;
const UppercaseText = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  display: flex;
  flex-wrap: wrap;
  color: ${({ theme , isPrimary  })=>isPrimary ? theme.colors.primary : theme.colors.text.main};
  font-weight: ${({ isPrimary  })=>isPrimary ? 700 : 500};
  text-transform: uppercase;
  align-self: center;
`;
const NoWrap = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().span)`
  white-space: nowrap;
`;
const InfoText = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().span)`
  color: ${({ theme  })=>theme.colors.text.main};
  font-size: 14px;
  display: flex;
  gap: 5px;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_14__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    flex-direction: column;
  }
`;
const OpacityText = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().span)`
  opacity: 0.5;
  align-self: center;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_14__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    align-self: auto;
  }
`;
const openedList = _emotion_react__WEBPACK_IMPORTED_MODULE_2__.css`
  visibility: visible;
  opacity: 1;
`;
const closedList = _emotion_react__WEBPACK_IMPORTED_MODULE_2__.css`
  visibility: hidden;
  opacity: 0;
`;
const CurrencySelectWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  background-color: ${({ theme  })=>theme.colors.background.light};
  border-radius: ${({ theme  })=>theme.borderRadius.normal};
  position: absolute;
  top: 10px;
  right: 10px;
  padding: 15px;
  transition: 0.2s linear;
  width: 85%;
  z-index: 5;
  ${({ isOpened  })=>isOpened ? openedList : closedList}
  box-shadow: ${({ theme  })=>theme.boxShadow.primary};
`;
const InputWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  position: relative;
`;
const Calculator = ()=>{
    const isFixedRate = (0,app_store__WEBPACK_IMPORTED_MODULE_7__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectIsFixedRate */ .pQ);
    const exchangeType = (0,app_store__WEBPACK_IMPORTED_MODULE_7__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectExchangeType */ .D_);
    const { errorMessage  } = (0,app_store__WEBPACK_IMPORTED_MODULE_7__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectExchangeError */ .rF);
    const estimatedRate = (0,app_store__WEBPACK_IMPORTED_MODULE_7__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectEstimatedRate */ .Uw);
    const { fromAmount , toAmount , maxAmount , minAmount  } = (0,app_store__WEBPACK_IMPORTED_MODULE_7__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectExchangeAmounts */ .Zb);
    const { isLoadingCalculator  } = (0,app_store__WEBPACK_IMPORTED_MODULE_7__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectCalculatorUiState */ .pJ);
    const { fromCurrency , toCurrency  } = (0,app_store__WEBPACK_IMPORTED_MODULE_7__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectExchangeCurrencies */ .Nf);
    const { isLoadingFromInput , isLoadingToInput , isFromInputTouched  } = (0,app_store__WEBPACK_IMPORTED_MODULE_7__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectCalculatorUiState */ .pJ);
    const currenciesInfo = (0,app_store__WEBPACK_IMPORTED_MODULE_7__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectCurrenciesInfo */ .S9);
    const toCurrencyInfo = (0,app_store__WEBPACK_IMPORTED_MODULE_7__/* .useAppSelector */ .CG)((state)=>(0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectCurrencyInfo */ .sQ)(state, toCurrency));
    const fromCurrencyInfo = (0,app_store__WEBPACK_IMPORTED_MODULE_7__/* .useAppSelector */ .CG)((state)=>(0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectCurrencyInfo */ .sQ)(state, fromCurrency));
    const [isOpenedSelectCurrencyTo, setIsOpenedSelectCurrencyTo] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const [isOpenedSelectCurrencyFrom, setIsOpenedSelectCurrencyFrom] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const isErrorFromInput = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(()=>exchangeType === types_exchange__WEBPACK_IMPORTED_MODULE_15__/* .ExchangeType.Direct */ .xS.Direct && !!errorMessage, [
        exchangeType,
        errorMessage
    ]);
    const isErrorToInput = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(()=>exchangeType === types_exchange__WEBPACK_IMPORTED_MODULE_15__/* .ExchangeType.Reverse */ .xS.Reverse && !!errorMessage, [
        exchangeType,
        errorMessage
    ]);
    const checkedAmount = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(()=>exchangeType === types_exchange__WEBPACK_IMPORTED_MODULE_15__/* .ExchangeType.Direct */ .xS.Direct ? fromAmount : toAmount, [
        exchangeType,
        fromAmount,
        toAmount
    ]);
    const formattedErrorMessage = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(()=>{
        if (checkedAmount && minAmount && Number(checkedAmount) < minAmount) {
            return `Minimum amount is ${minAmount} ${isErrorFromInput ? fromCurrencyInfo?.ticker?.toUpperCase() : toCurrencyInfo?.ticker?.toUpperCase()}`;
        }
        if (checkedAmount && maxAmount && Number(checkedAmount) > maxAmount) {
            return `Maximum amount is ${maxAmount} ${isErrorFromInput ? fromCurrencyInfo?.ticker?.toUpperCase() : toCurrencyInfo?.ticker?.toUpperCase()}`;
        }
        return errorMessage;
    }, [
        errorMessage,
        minAmount,
        maxAmount,
        isErrorFromInput,
        fromCurrencyInfo,
        toCurrencyInfo,
        checkedAmount
    ]);
    const dispatch = (0,app_store__WEBPACK_IMPORTED_MODULE_7__/* .useAppDispatch */ .TL)();
    const handleFromAmountChange = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((event)=>{
        const { value  } = event.currentTarget;
        void dispatch((0,features_calculator_thunks__WEBPACK_IMPORTED_MODULE_13__/* .changeFromAmount */ .AL)({
            amount: value,
            currencyInfo: fromCurrencyInfo
        }));
    }, [
        dispatch,
        fromCurrencyInfo
    ]);
    const handleToAmountChange = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((event)=>{
        const { value  } = event.currentTarget;
        void dispatch((0,features_calculator_thunks__WEBPACK_IMPORTED_MODULE_13__/* .changeToAmount */ .kH)({
            amount: value,
            currencyInfo: fromCurrencyInfo
        }));
    }, [
        dispatch,
        fromCurrencyInfo
    ]);
    const handleFromCurrencySelect = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((currency)=>()=>{
            setIsOpenedSelectCurrencyFrom(false);
            dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__/* .setFromCurrency */ .HG)(currency));
            if (!isFromInputTouched) {
                const amount = currenciesInfo[currency]?.manualDefaultValue || currenciesInfo[currency]?.defaultValue;
                if (amount) {
                    dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__/* .setFromAmount */ .VH)(String(amount)));
                }
            }
        }, [
        dispatch,
        isFromInputTouched,
        currenciesInfo
    ]);
    const handleToCurrencySelect = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((currency)=>()=>{
            setIsOpenedSelectCurrencyTo(false);
            dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__/* .setToCurrency */ .Zl)(currency));
        }, [
        dispatch
    ]);
    const handleCurrencySelectPress = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((input, state)=>()=>{
            if (input === "from") {
                if (isOpenedSelectCurrencyTo && state) {
                    setIsOpenedSelectCurrencyTo(false);
                }
                setIsOpenedSelectCurrencyFrom(state);
                return;
            }
            if (isOpenedSelectCurrencyFrom && state) {
                setIsOpenedSelectCurrencyFrom(false);
            }
            setIsOpenedSelectCurrencyTo(state);
        }, [
        isOpenedSelectCurrencyTo,
        isOpenedSelectCurrencyFrom
    ]);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        void dispatch((0,features_calculator_thunks__WEBPACK_IMPORTED_MODULE_13__/* .initCalculator */ .bq)());
    }, [
        dispatch
    ]);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        if (!isLoadingCalculator) {
            void dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__/* .resetErrors */ .n2)());
            void dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__/* .resetFixedRateInfo */ .pr)());
            void dispatch((0,features_calculator_thunks__WEBPACK_IMPORTED_MODULE_13__/* .fetchEstimationNewPair */ .nZ)());
        }
    }, [
        dispatch,
        exchangeType,
        isFixedRate,
        toCurrency,
        fromCurrency,
        isLoadingCalculator
    ]);
    if (isLoadingCalculator) {
        return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(LoaderWrapper, {
            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_loader__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {})
        });
    }
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {
        children: [
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(InputWrapper, {
                children: /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(app_components_click_outside_wrapper__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Z, {
                    setIsOpen: (value)=>setIsOpenedSelectCurrencyFrom(value),
                    children: [
                        /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(features_calculator_components_calculator_input__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .Z, {
                            title: "You Send",
                            currency: fromCurrency,
                            amount: fromAmount,
                            isLoading: isLoadingFromInput,
                            onCurrencyPress: handleCurrencySelectPress("from", true),
                            onChange: handleFromAmountChange,
                            isErrorShown: isErrorFromInput,
                            errorMessage: formattedErrorMessage
                        }),
                        /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(CurrencySelectWrapper, {
                            isOpened: isOpenedSelectCurrencyFrom,
                            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_currency_select__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z, {
                                title: "Select a currency from",
                                onSelect: handleFromCurrencySelect,
                                onClose: handleCurrencySelectPress("from", false),
                                isOpened: isOpenedSelectCurrencyFrom
                            })
                        })
                    ]
                })
            }),
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(InfoWrapper, {
                children: [
                    /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(InfoInnerWrapper, {
                        children: [
                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(InfoText, {
                                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(OpacityText, {
                                    children: "No extra fees"
                                })
                            }),
                            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(InfoText, {
                                children: [
                                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(OpacityText, {
                                        children: "Estimated rate:"
                                    }),
                                    /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Row, {
                                        children: [
                                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(UppercaseText, {
                                                isPrimary: isFixedRate,
                                                children: isLoadingToInput || isLoadingFromInput ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_loader__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                                                    size: "16px"
                                                }) : /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {
                                                    children: [
                                                        /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(NoWrap, {
                                                            children: [
                                                                "1 ",
                                                                fromCurrencyInfo?.ticker
                                                            ]
                                                        }),
                                                        /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(NoWrap, {
                                                            children: [
                                                                "~ ",
                                                                estimatedRate || "-",
                                                                " ",
                                                                toCurrencyInfo?.ticker
                                                            ]
                                                        })
                                                    ]
                                                })
                                            }),
                                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(features_calculator_components_fixed_rate__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .Z, {})
                                        ]
                                    })
                                ]
                            })
                        ]
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(features_calculator_components_swap_button__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .Z, {})
                ]
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(InputWrapper, {
                children: /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(app_components_click_outside_wrapper__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Z, {
                    setIsOpen: (value)=>setIsOpenedSelectCurrencyTo(value),
                    children: [
                        /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(features_calculator_components_calculator_input__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .Z, {
                            title: "You Get",
                            currency: toCurrency,
                            amount: toAmount,
                            isLoading: isLoadingToInput,
                            onCurrencyPress: handleCurrencySelectPress("to", true),
                            isFixedRate: isFixedRate,
                            onChange: handleToAmountChange,
                            isErrorShown: isErrorToInput,
                            errorMessage: formattedErrorMessage
                        }),
                        /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(CurrencySelectWrapper, {
                            isOpened: isOpenedSelectCurrencyTo,
                            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_currency_select__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z, {
                                title: "Select a currency to",
                                onSelect: handleToCurrencySelect,
                                onClose: handleCurrencySelectPress("to", false),
                                isOpened: isOpenedSelectCurrencyTo
                            })
                        })
                    ]
                })
            })
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Calculator);

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 8052:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var app_components_currency_icon_and_ticker__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7433);
/* harmony import */ var app_components_input_error_message__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(617);
/* harmony import */ var app_components_loader__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(471);
/* harmony import */ var app_store__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(8751);
/* harmony import */ var app_styles_input_style__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(8386);
/* harmony import */ var features_calculator_selectors__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(4629);
/* harmony import */ var helpers_constants__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(7601);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([app_store__WEBPACK_IMPORTED_MODULE_7__]);
app_store__WEBPACK_IMPORTED_MODULE_7__ = (__webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__)[0];











const GeneralWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)``;
const Wrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  align-items: center;
  background-color: ${({ theme  })=>theme.colors.background.main};
  border-radius: ${({ theme  })=>theme.borderRadius.normal};
  display: flex;
  flex-direction: row;
  padding: 8px 20px;
  margin-bottom: 20px;
  cursor: pointer;
  justify-content: space-between;
  position: relative;
  z-index: 4;
`;
const Title = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().span)`
  color: ${({ theme  })=>theme.colors.text.dark};
  font-size: 14px;
  font-weight: 500;
  line-height: 17px;
  opacity: 0.5;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_10__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    font-size: 12px;
  }
`;
const AmountInput = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().input)`
  ${app_styles_input_style__WEBPACK_IMPORTED_MODULE_8__/* .inputStyle */ .h};
  color: ${({ theme , isFixedRate  })=>isFixedRate ? theme.colors.primary : theme.colors.text.dark};

  ::placeholder {
    color: ${({ theme  })=>theme.colors.text.placeholder};
  }

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_10__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    font-size: 18px;
  }
`;
const InputWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  display: flex;
  flex-direction: column;
  width: 50%;
`;
const CurrencyWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  align-items: center;
  display: flex;
  flex-direction: row;
`;
const LoaderWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  padding: 10px 0;
`;
const CalculatorInput = ({ amount , currency , isLoading , title , onCurrencyPress , onChange , isFixedRate , isErrorShown , errorMessage  })=>{
    const sel = true;
    const currencyInfo = (0,app_store__WEBPACK_IMPORTED_MODULE_7__/* .useAppSelector */ .CG)((state)=>(0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_9__/* .selectCurrencyInfo */ .sQ)(state, currency));
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(GeneralWrapper, {
        children: [
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Wrapper, {
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(InputWrapper, {
                        children: isLoading ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(LoaderWrapper, {
                            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_loader__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                                size: "26px"
                            })
                        }) : /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {
                            children: [
                                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Title, {
                                    children: title
                                }),
                                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(AmountInput, {
                                    value: amount,
                                    onChange: onChange,
                                    isFixedRate: isFixedRate,
                                    placeholder: "0.0"
                                })
                            ]
                        })
                    }),
                    /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(CurrencyWrapper, {
                        onClick: onCurrencyPress,
                        children: [
                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_currency_icon_and_ticker__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Z, {
                                currencyInfo: currencyInfo,
                                select: sel
                            }),
                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                                style: {
                                    marginLeft: 10
                                },
                                width: 10,
                                height: 6,
                                src: "/icons/arrow-down.svg",
                                alt: "Arrow down"
                            })
                        ]
                    })
                ]
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_input_error_message__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z, {
                isShown: isErrorShown,
                errorMessage: errorMessage
            })
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CalculatorInput);

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 3237:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var app_components_click_outside_wrapper__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1359);
/* harmony import */ var app_components_hover_pop_up__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8588);
/* harmony import */ var app_store__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8751);
/* harmony import */ var app_theme__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(6696);
/* harmony import */ var features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(8206);
/* harmony import */ var features_calculator_selectors__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(4629);
/* harmony import */ var hooks_use_fixed_rate_timer__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(1896);
/* harmony import */ var types_exchange__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(7296);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([app_store__WEBPACK_IMPORTED_MODULE_6__, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__, hooks_use_fixed_rate_timer__WEBPACK_IMPORTED_MODULE_10__]);
([app_store__WEBPACK_IMPORTED_MODULE_6__, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__, hooks_use_fixed_rate_timer__WEBPACK_IMPORTED_MODULE_10__] = __webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__);












const Wrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  position: relative;
`;
const InnerWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  display: flex;
  justify-content: center;
`;
const WrapperPressedImage = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  min-width: 16px;
  cursor: pointer;
`;
const Timer = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().span)`
  align-items: center;
  background-color: ${({ theme: theme1  })=>theme1.colors.primary};
  border-radius: ${({ theme: theme1  })=>theme1.borderRadius.small};
  color: ${({ theme: theme1  })=>theme1.colors.text.main};
  display: flex;
  font-size: 12px;
  font-weight: 700;
  min-width: 60px;
  padding: 2px 4px;
`;
const FixedRate = ()=>{
    const [isShowPopUp, setIsShowPopUp] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const fixedRateTimer = (0,hooks_use_fixed_rate_timer__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .Z)();
    const isFixedRate = (0,app_store__WEBPACK_IMPORTED_MODULE_6__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_9__/* .selectIsFixedRate */ .pQ);
    const { isLoadingEstimation  } = (0,app_store__WEBPACK_IMPORTED_MODULE_6__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_9__/* .selectCalculatorUiState */ .pJ);
    const fixedExchangeId = (0,app_store__WEBPACK_IMPORTED_MODULE_6__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_9__/* .selectExchangeFixedRateId */ .kX);
    const dispatch = (0,app_store__WEBPACK_IMPORTED_MODULE_6__/* .useAppDispatch */ .TL)();
    const handleFixedRatePress = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(()=>{
        if (isFixedRate) {
            dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__/* .setFlow */ .kB)(types_exchange__WEBPACK_IMPORTED_MODULE_11__/* .FlowType.Standard */ .MK.Standard));
            dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__/* .setExchangeType */ .JW)(types_exchange__WEBPACK_IMPORTED_MODULE_11__/* .ExchangeType.Direct */ .xS.Direct));
        } else {
            dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__/* .setFlow */ .kB)(types_exchange__WEBPACK_IMPORTED_MODULE_11__/* .FlowType.FixedRate */ .MK.FixedRate));
            dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__/* .setExchangeType */ .JW)(types_exchange__WEBPACK_IMPORTED_MODULE_11__/* .ExchangeType.Reverse */ .xS.Reverse));
        }
    }, [
        isFixedRate,
        dispatch
    ]);
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Wrapper, {
        onMouseEnter: ()=>setIsShowPopUp(true),
        onMouseLeave: ()=>setIsShowPopUp(false),
        children: [
            isFixedRate ? /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(InnerWrapper, {
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(WrapperPressedImage, {
                        onClick: handleFixedRatePress,
                        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                            width: 16,
                            height: 20,
                            src: "/icons/fixed-rate-enabled-icon.svg",
                            alt: "Lock"
                        })
                    }),
                    fixedExchangeId && /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Timer, {
                        children: [
                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                                width: 16,
                                height: 16,
                                src: "/icons/timer-icon.svg",
                                alt: "Timer"
                            }),
                            !isLoadingEstimation && fixedRateTimer
                        ]
                    })
                ]
            }) : /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(WrapperPressedImage, {
                onClick: handleFixedRatePress,
                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                    width: 16,
                    height: 20,
                    color: app_theme__WEBPACK_IMPORTED_MODULE_7__/* ["default"].colors.text.main */ .Z.colors.text.main,
                    src: "/icons/fixed-rate-disabled-icon.png",
                    alt: "Lock"
                })
            }),
            isShowPopUp && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_click_outside_wrapper__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Z, {
                setIsOpen: setIsShowPopUp,
                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_hover_pop_up__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z, {
                    title: "Fixed Rate Mode",
                    text: "The exchange is completed regardless of the rate fluctuations. Kitty Swap guarantees you will receive the agreed amount."
                })
            })
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (FixedRate);

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 9560:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var app_components_button__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(8548);
/* harmony import */ var app_store__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8751);
/* harmony import */ var features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8206);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([app_store__WEBPACK_IMPORTED_MODULE_5__, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_6__]);
([app_store__WEBPACK_IMPORTED_MODULE_5__, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_6__] = __webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__);







const SwapButtonWrapper = _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default()(app_components_button__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Z)`
  width: 32px;
  min-width: 32px;
  height: 32px;
  border-radius: 50%;
`;
const SwapButton = ()=>{
    const dispatch = (0,app_store__WEBPACK_IMPORTED_MODULE_5__/* .useAppDispatch */ .TL)();
    const handleSwapPress = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(()=>{
        void dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_6__/* .reverseExchange */ .YV)());
    }, [
        dispatch
    ]);
    return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(SwapButtonWrapper, {
        onClick: handleSwapPress,
        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
            style: {
                display: "inline-block",
                margin: "3px 0 0 0"
            },
            width: 20,
            height: 20,
            src: "/icons/swap-icon.svg",
            alt: "Swap Exchange"
        })
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SwapButton);

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 9439:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "K": () => (/* binding */ getCurrencyKey)
/* harmony export */ });
const getCurrencyKey = (currency)=>{
    if (currency.tokenContract) {
        return `${currency.ticker}-${currency.network}-${currency.tokenContract}`.toLowerCase();
    }
    return `${currency.ticker}-${currency.network}`.toLowerCase();
};


/***/ }),

/***/ 1896:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var dayjs__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1635);
/* harmony import */ var dayjs__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(dayjs__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var app_store__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8751);
/* harmony import */ var features_calculator_selectors__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4629);
/* harmony import */ var features_calculator_thunks__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5508);
/* harmony import */ var lib_bn__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9884);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([app_store__WEBPACK_IMPORTED_MODULE_2__, features_calculator_thunks__WEBPACK_IMPORTED_MODULE_4__, lib_bn__WEBPACK_IMPORTED_MODULE_5__]);
([app_store__WEBPACK_IMPORTED_MODULE_2__, features_calculator_thunks__WEBPACK_IMPORTED_MODULE_4__, lib_bn__WEBPACK_IMPORTED_MODULE_5__] = __webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__);






const useFixedRateTimer = ()=>{
    const [timer, setTimer] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(dayjs__WEBPACK_IMPORTED_MODULE_1___default()());
    const dispatch = (0,app_store__WEBPACK_IMPORTED_MODULE_2__/* .useAppDispatch */ .TL)();
    const { validUntil  } = (0,app_store__WEBPACK_IMPORTED_MODULE_2__/* .useAppSelector */ .CG)((state)=>state.calculator.flowInfo);
    const timerInfo = (0,app_store__WEBPACK_IMPORTED_MODULE_2__/* .useAppSelector */ .CG)((state)=>(0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_3__/* .selectTimerInfoFromTimestamp */ .hm)(state, timer));
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(()=>{
        if (timerInfo.duration && (0,lib_bn__WEBPACK_IMPORTED_MODULE_5__/* .lte */ .G)(timerInfo.duration, 0)) {
            void dispatch((0,features_calculator_thunks__WEBPACK_IMPORTED_MODULE_4__/* .fetchEstimationAmount */ .LJ)());
        }
    }, [
        dispatch,
        timerInfo.duration
    ]);
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(()=>{
        const intervalObj = validUntil !== "" ? setInterval(()=>{
            setTimer(dayjs__WEBPACK_IMPORTED_MODULE_1___default()());
        }, 1000) : null;
        return ()=>{
            clearInterval(intervalObj);
        };
    }, [
        validUntil
    ]);
    return timerInfo.displayDate;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (useFixedRateTimer);

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ })

};
;