"use strict";
exports.id = 123;
exports.ids = [123];
exports.modules = {

/***/ 3704:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var app_components_input_error_message__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(617);
/* harmony import */ var app_styles_input_style__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8386);
/* harmony import */ var helpers_constants__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(7601);







const Wrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  position: relative;
`;
const InputWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  align-items: center;
  background-color: ${({ theme  })=>theme.colors.background.main};
  border-radius: ${({ theme  })=>theme.borderRadius.normal};
  border: 1px solid
    ${({ theme , isError  })=>isError ? theme.colors.text.placeholder : theme.colors.background.main};
  display: flex;
  padding: ${({ padding  })=>padding || "15px"};
  transition: all 0.1s linear;
  justify-content: space-between;
  position: relative;
  z-index: 2;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_6__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    padding: 20px 10px;
  }
`;
const Input = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().input)`
  ${app_styles_input_style__WEBPACK_IMPORTED_MODULE_5__/* .inputStyle */ .h};
  font-size: 16px;
  font-weight: 600;
  width: 90%;

  ::placeholder {
    color: ${({ theme  })=>theme.colors.text.placeholder};
    font-weight: 600;
  }

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_6__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    font-size: 13px;
  }
`;
const IconWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  cursor: pointer;
  transition: 0.2s linear;
  margin: ${({ margin  })=>margin || "0"};

  &:hover {
    transform: scale(1.1);
  }
`;
const InputWithIcon = ({ value , onChange , placeholder , iconSize , padding , errorMessage , isErrorShown , onIconClick , isAddressValid  })=>/*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Wrapper, {
        children: [
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(InputWrapper, {
                padding: padding,
                isError: isErrorShown,
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Input, {
                        value: value,
                        onChange: onChange,
                        placeholder: placeholder
                    }),
                    isAddressValid && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(IconWrapper, {
                        margin: "0 10px 0 0",
                        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                            onClick: onIconClick,
                            width: iconSize || 18,
                            height: iconSize || 18,
                            src: "/icons/checkmark-icon.svg",
                            alt: placeholder
                        })
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(IconWrapper, {
                        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                            onClick: onIconClick,
                            width: iconSize || 18,
                            height: iconSize || 18,
                            src: "/icons/qr-icon.svg",
                            alt: placeholder
                        })
                    })
                ]
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_input_error_message__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Z, {
                isShown: isErrorShown,
                errorMessage: errorMessage
            })
        ]
    });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (InputWithIcon);


/***/ }),

/***/ 5965:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Y": () => (/* binding */ validateAddress)
/* harmony export */ });
const validateAddress = (currencyInfo, address)=>{
    if (currencyInfo.regex) {
        return new RegExp(currencyInfo.regex).test(address);
    }
    return false;
};


/***/ }),

/***/ 8121:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2805);
/* harmony import */ var _emotion_react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_qr_reader__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4013);
/* harmony import */ var react_qr_reader__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_qr_reader__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var app_components_button__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8548);
/* harmony import */ var app_components_input_with_icon__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(3704);
/* harmony import */ var app_components_stepper_heading__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(1500);
/* harmony import */ var app_store__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(8751);
/* harmony import */ var features_calculator_calculator__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(2113);
/* harmony import */ var features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(8206);
/* harmony import */ var features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(4629);
/* harmony import */ var helpers_constants__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(7601);
/* harmony import */ var helpers_validate_address__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(5965);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([app_store__WEBPACK_IMPORTED_MODULE_9__, features_calculator_calculator__WEBPACK_IMPORTED_MODULE_10__, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_11__]);
([app_store__WEBPACK_IMPORTED_MODULE_9__, features_calculator_calculator__WEBPACK_IMPORTED_MODULE_10__, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_11__] = __webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__);















const Wrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)``;
const InputWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  margin: 30px 0 10px;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_13__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    margin: 25px 0 0;
  }
`;
const AdditionalSettingsWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  margin-top: 40px;
`;
const HeadingWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  align-items: center;
  justify-content: space-between;
  display: flex;
`;
const advancedButtonMobile = _emotion_react__WEBPACK_IMPORTED_MODULE_2__.css`
  display: none;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_13__/* .BREAKPOINTS.mobileLarge */ .j.mobileLarge}) {
    display: flex;
    margin: 25px auto 0;
  }
`;
const advancedButton = _emotion_react__WEBPACK_IMPORTED_MODULE_2__.css`
  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_13__/* .BREAKPOINTS.mobileLarge */ .j.mobileLarge}) {
    display: none;
  }
`;
const AdvancedSettingsButton = _emotion_styled__WEBPACK_IMPORTED_MODULE_3___default()(app_components_button__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z)`
  align-items: center;
  background: transparent;
  color: ${({ theme  })=>theme.colors.primary};
  display: flex;

  :hover,
  :focus {
    background: transparent;
  }

  ${({ isMobile  })=>isMobile ? advancedButtonMobile : advancedButton}
`;
const AdvancedSettingsImageWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  transition: 0.2s linear;
  transform: rotate(${({ isOpened  })=>isOpened ? "0deg" : "180deg"});
`;
const AdvancedSettingsWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  height: ${({ height  })=>`${height}px`};
  overflow: hidden;
  transition: 0.2s linear;
`;
const QrMainWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  border-radius: 24px;
  position: relative;
  overflow: hidden;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_13__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    margin-top: 25px;
  }
`;
const QRWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  background-color: ${({ theme  })=>theme.colors.primary};
  border-radius: ${({ theme  })=>theme.borderRadius.normal};
  overflow: hidden;
  position: relative;
  mask-image: url('/images/qr-mask.svg');
  mask-repeat: no-repeat;
  mask-size: 100% 100%;
  z-index: 2;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_13__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    padding: 20px 0;
    mask-size: 150% 150%;
    mask-position: 50% 50%;
  }
`;
const QROverlay = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  background: url('/images/qr-background.svg') no-repeat;
  background-size: 100% 100%;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 1;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_13__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    background-size: 150% 150%;
    background-position: 50% 50%;
  }
`;
const NextButton = _emotion_styled__WEBPACK_IMPORTED_MODULE_3___default()(app_components_button__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z)`
  font-weight: 700;
  margin-top: 20px;
  padding: 20px;
  width: 100%;
`;
const InfoStep = ({ onNextPress  })=>{
    const [inputForQr, setInputForQr] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)("to");
    const [settingsHeight, setSettingsHeight] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(0);
    const [isOpenedQrReader, setIsOpenedQrReader] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const [isAdvancedSettingsShown, setIsAdvancedSettingsShown] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const { errorMessage  } = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectExchangeError */ .rF);
    const { toAddress , refundAddress  } = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectExchangeAddresses */ .pc);
    const { fromAmount , toAmount  } = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectExchangeAmounts */ .Zb);
    const { fromCurrency , toCurrency  } = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectExchangeCurrencies */ .Nf);
    const { isLoadingFromInput , isLoadingToInput , isLoadingEstimation  } = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectCalculatorUiState */ .pJ);
    const [isErrorAddress, setIsErrorAddres] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const [isErrorRefundAddress, setIsErrorRefundAddress] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const toCurrencyInfo = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppSelector */ .CG)((state)=>(0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectCurrencyInfo */ .sQ)(state, toCurrency));
    const fromCurrencyInfo = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppSelector */ .CG)((state)=>(0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_12__/* .selectCurrencyInfo */ .sQ)(state, fromCurrency));
    const advancedSettingsWrapperRef = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
    const dispatch = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppDispatch */ .TL)();
    const handleChangeToAddress = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((event)=>{
        const { value  } = event.currentTarget;
        if (toCurrencyInfo.regex) {
            const isValidAddress = (0,helpers_validate_address__WEBPACK_IMPORTED_MODULE_14__/* .validateAddress */ .Y)(toCurrencyInfo, value);
            if (value) {
                setIsErrorAddres(!isValidAddress);
            } else {
                setIsErrorAddres(false);
            }
        }
        dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_11__/* .setToAddress */ .sm)(value));
    }, [
        toCurrencyInfo,
        dispatch
    ]);
    const handleChangeRefundAddress = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((event)=>{
        const { value  } = event.currentTarget;
        const isValidAddress = (0,helpers_validate_address__WEBPACK_IMPORTED_MODULE_14__/* .validateAddress */ .Y)(fromCurrencyInfo, value);
        if (value) {
            setIsErrorRefundAddress(!isValidAddress);
        } else {
            setIsErrorRefundAddress(false);
        }
        dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_11__/* .setRefundAddress */ .gm)(value));
    }, [
        fromCurrencyInfo,
        dispatch
    ]);
    const handlePressQrButton = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((input)=>()=>{
            if (isOpenedQrReader) {
                setIsOpenedQrReader(false);
            } else {
                setInputForQr(input);
                setIsOpenedQrReader(true);
            }
        }, [
        isOpenedQrReader
    ]);
    const handleAdvancedSettingsPress = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(()=>{
        if (!isAdvancedSettingsShown && advancedSettingsWrapperRef.current) {
            setSettingsHeight(advancedSettingsWrapperRef.current.scrollHeight);
        }
        if (isAdvancedSettingsShown) {
            setSettingsHeight(0);
        }
        setIsAdvancedSettingsShown(!isAdvancedSettingsShown);
    }, [
        isAdvancedSettingsShown
    ]);
    const handleQrScan = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((result, error)=>{
        const value = !!result && result.getText();
        if (error?.message === "Permission denied") {
            setIsOpenedQrReader(false);
        }
        if (inputForQr === "to" && value) {
            dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_11__/* .setToAddress */ .sm)(value));
            setIsErrorAddres(!(0,helpers_validate_address__WEBPACK_IMPORTED_MODULE_14__/* .validateAddress */ .Y)(toCurrencyInfo, value));
            setIsOpenedQrReader(false);
        }
        if (inputForQr === "refund" && value) {
            dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_11__/* .setRefundAddress */ .gm)(value));
            setIsErrorRefundAddress(!(0,helpers_validate_address__WEBPACK_IMPORTED_MODULE_14__/* .validateAddress */ .Y)(fromCurrencyInfo, value));
            setIsOpenedQrReader(false);
        }
    }, [
        inputForQr,
        dispatch,
        toCurrencyInfo,
        fromCurrencyInfo
    ]);
    const handleNextStepPress = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(()=>{
        if (errorMessage || isLoadingEstimation || isLoadingFromInput || isLoadingToInput || !fromAmount || !toAmount) {
            return;
        }
        if (!toAddress || isErrorAddress) {
            setIsErrorAddres(true);
            return;
        }
        if (refundAddress && isErrorRefundAddress) {
            if (!isAdvancedSettingsShown) {
                handleAdvancedSettingsPress();
            }
            return;
        }
        onNextPress();
    }, [
        isErrorAddress,
        refundAddress,
        toAddress,
        isErrorRefundAddress,
        isAdvancedSettingsShown,
        handleAdvancedSettingsPress,
        onNextPress,
        errorMessage,
        isLoadingFromInput,
        isLoadingToInput,
        isLoadingEstimation,
        toAmount,
        fromAmount
    ]);
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Wrapper, {
        children: [
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_stepper_heading__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .Z, {
                title: "Check exchange amount"
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(features_calculator_calculator__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .Z, {}),
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(AdditionalSettingsWrapper, {
                children: [
                    /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(HeadingWrapper, {
                        children: [
                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_stepper_heading__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .Z, {
                                margin: "0",
                                title: `Recipient ${toCurrencyInfo?.ticker?.toUpperCase()} wallet`
                            }),
                            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(AdvancedSettingsButton, {
                                onClick: handleAdvancedSettingsPress,
                                children: [
                                    "Advanced settings",
                                    " ",
                                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(AdvancedSettingsImageWrapper, {
                                        isOpened: isAdvancedSettingsShown,
                                        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_4___default()), {
                                            width: 20,
                                            height: 20,
                                            src: "/icons/arrow-down-red.svg",
                                            alt: "Arrow down"
                                        })
                                    })
                                ]
                            })
                        ]
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(InputWrapper, {
                        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_input_with_icon__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .Z, {
                            value: toAddress,
                            onChange: handleChangeToAddress,
                            isAddressValid: Boolean(toAddress && !isErrorAddress),
                            errorMessage: `Please enter a valid ${toCurrencyInfo?.ticker?.toUpperCase()} payout address`,
                            placeholder: `Enter the ${toCurrencyInfo?.ticker?.toUpperCase()} wallet address`,
                            iconSize: 30,
                            padding: "30px 20px",
                            isErrorShown: isErrorAddress,
                            onIconClick: handlePressQrButton("to")
                        })
                    }),
                    /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(AdvancedSettingsButton, {
                        isMobile: true,
                        onClick: handleAdvancedSettingsPress,
                        children: [
                            "Advanced settings",
                            " ",
                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(AdvancedSettingsImageWrapper, {
                                isOpened: isAdvancedSettingsShown,
                                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_4___default()), {
                                    width: 20,
                                    height: 20,
                                    src: "/icons/arrow-down-red.svg",
                                    alt: "Arrow down"
                                })
                            })
                        ]
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(AdvancedSettingsWrapper, {
                        ref: advancedSettingsWrapperRef,
                        height: settingsHeight,
                        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(InputWrapper, {
                            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_input_with_icon__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .Z, {
                                value: refundAddress,
                                onChange: handleChangeRefundAddress,
                                isAddressValid: Boolean(refundAddress && !isErrorRefundAddress),
                                errorMessage: `Please enter a valid ${fromCurrencyInfo?.ticker?.toUpperCase()} address`,
                                placeholder: `Enter ${fromCurrencyInfo?.ticker?.toUpperCase()} refund address`,
                                iconSize: 30,
                                padding: "30px 20px",
                                isErrorShown: isErrorRefundAddress,
                                onIconClick: handlePressQrButton("refund")
                            })
                        })
                    })
                ]
            }),
            isOpenedQrReader && /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(QrMainWrapper, {
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(QRWrapper, {
                        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(react_qr_reader__WEBPACK_IMPORTED_MODULE_5__.QrReader, {
                            onResult: handleQrScan,
                            videoContainerStyle: {
                                padding: 0,
                                width: "100%",
                                aspectRatio: "4/2.5"
                            },
                            videoStyle: {
                                borderRadius: 24
                            },
                            constraints: {
                                facingMode: "user"
                            }
                        })
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(QROverlay, {})
                ]
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(NextButton, {
                onClick: handleNextStepPress,
                children: "Next"
            })
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (InfoStep);

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ })

};
;