"use strict";
exports.id = 378;
exports.ids = [378];
exports.modules = {

/***/ 3575:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_3__);




const Wrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  align-items: center;
  cursor: pointer;
  display: flex;
  font-size: 20px;
  font-weight: 800;
  gap: 10px;
  word-break: break-word;
`;
const Copied = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  font-size: 12px;
  background-color: ${({ theme  })=>theme.colors.background.light};
  box-shadow: ${({ theme  })=>theme.boxShadow.primary};
  padding: 3px 5px;
  border-radius: 10px;
  color: ${({ theme  })=>theme.colors.primary};
`;
const CopyText = ({ text , children , iconSize  })=>{
    const [isShowPopup, setIsShowPopup] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const timer = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
    const onClose = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(()=>{
        if (isShowPopup) {
            setIsShowPopup(false);
        }
    }, [
        isShowPopup
    ]);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        if (isShowPopup) {
            timer.current = setTimeout(onClose, 1000);
        }
        return ()=>{
            if (timer.current) {
                clearTimeout(timer.current);
            }
        };
    }, [
        isShowPopup,
        onClose
    ]);
    const handleCopyPress = ()=>{
        void navigator.clipboard.writeText(text);
        setIsShowPopup(true);
    };
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Wrapper, {
        onClick: handleCopyPress,
        children: [
            children,
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                width: iconSize || 18,
                height: iconSize || 18,
                src: "/icons/copy-icon.svg",
                alt: "Copy"
            }),
            isShowPopup && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Copied, {
                children: "Copied"
            })
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CopyText);


/***/ }),

/***/ 1924:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "Z": () => (/* binding */ exchange_progress)
});

// EXTERNAL MODULE: external "react/jsx-runtime"
var jsx_runtime_ = __webpack_require__(997);
// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(6689);
// EXTERNAL MODULE: external "@emotion/styled"
var styled_ = __webpack_require__(1480);
var styled_default = /*#__PURE__*/__webpack_require__.n(styled_);
// EXTERNAL MODULE: ./node_modules/next/image.js
var next_image = __webpack_require__(5675);
var image_default = /*#__PURE__*/__webpack_require__.n(next_image);
;// CONCATENATED MODULE: ./src/app/components/status-dot.tsx




const StepIconWrapper = (styled_default()).div`
  background-color: ${({ theme , isActive  })=>isActive ? theme.colors.primary : theme.colors.text.placeholder};
  border-radius: 50%;
  position: relative;
  height: 30px;
  width: 30px;

  & > img {
    transform: scale(0.5);
  }
`;
const StepWrapper = (styled_default()).div`
  align-items: center;
  border-radius: ${({ theme  })=>theme.borderRadius.small};
  color: ${({ theme , isActive  })=>isActive ? theme.colors.primary : theme.colors.text.placeholder};
  display: flex;
  font-size: inherit;
  font-weight: 800;
  gap: ${({ gap  })=>gap || "0"};
  justify-content: space-between;
  flex-direction: ${({ flexDirection  })=>flexDirection || "row"};

  div,
  span {
    text-align: center;
    opacity: ${({ isCompleted , isActive  })=>isCompleted || isActive ? "1" : "0.3"};
  }
`;
const StatusDot = ({ title , isActive , isCompleted , flexDirection , gap  })=>/*#__PURE__*/ (0,jsx_runtime_.jsxs)(StepWrapper, {
        isActive: isActive,
        isCompleted: isCompleted,
        flexDirection: flexDirection,
        gap: gap,
        children: [
            /*#__PURE__*/ jsx_runtime_.jsx("span", {
                children: title
            }),
            /*#__PURE__*/ (0,jsx_runtime_.jsxs)(StepIconWrapper, {
                isActive: isActive,
                children: [
                    isActive && /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                        fill: true,
                        src: "/icons/active-step-icon.svg",
                        alt: title || ""
                    }),
                    isCompleted && /*#__PURE__*/ jsx_runtime_.jsx((image_default()), {
                        fill: true,
                        src: "/icons/checkmark-icon-white.svg",
                        alt: title || ""
                    })
                ]
            })
        ]
    });
/* harmony default export */ const status_dot = (StatusDot);

// EXTERNAL MODULE: ./src/helpers/constants.ts
var constants = __webpack_require__(7601);
;// CONCATENATED MODULE: ./src/app/components/exchange-progress.tsx





const Wrapper = (styled_default()).div`
  display: flex;
  flex-direction: row;
  justify-content: space-between;

  @media (max-width: ${constants/* BREAKPOINTS.mobileLarge */.j.mobileLarge}) {
    font-size: 11px;
  }

  @media (max-width: ${constants/* BREAKPOINTS.mobile */.j.mobile}) {
    gap: 15px;
  }
`;
const StatusWrapper = (styled_default()).div`
  display: flex;
  flex-direction: column;
`;
const ExchangeProgress = ({ status  })=>/*#__PURE__*/ (0,jsx_runtime_.jsxs)(Wrapper, {
        children: [
            /*#__PURE__*/ jsx_runtime_.jsx(StatusWrapper, {
                children: /*#__PURE__*/ jsx_runtime_.jsx(status_dot, {
                    title: "Awaiting deposit",
                    isActive: status === "waiting",
                    isCompleted: status !== "waiting",
                    flexDirection: "column-reverse",
                    gap: "5px"
                })
            }),
            /*#__PURE__*/ jsx_runtime_.jsx(StatusWrapper, {
                children: /*#__PURE__*/ jsx_runtime_.jsx(status_dot, {
                    title: "Confirming",
                    isActive: status === "confirming",
                    isCompleted: status !== "confirming" && status !== "waiting",
                    flexDirection: "column-reverse",
                    gap: "5px"
                })
            }),
            /*#__PURE__*/ jsx_runtime_.jsx(StatusWrapper, {
                children: /*#__PURE__*/ jsx_runtime_.jsx(status_dot, {
                    title: "Exchanging",
                    flexDirection: "column-reverse",
                    gap: "5px",
                    isActive: status === "exchanging",
                    isCompleted: status !== "confirming" && status !== "waiting" && status !== "exchanging"
                })
            }),
            /*#__PURE__*/ jsx_runtime_.jsx(StatusWrapper, {
                children: /*#__PURE__*/ jsx_runtime_.jsx(status_dot, {
                    title: "Sending to you",
                    flexDirection: "column-reverse",
                    gap: "5px",
                    isActive: status === "sending",
                    isCompleted: status !== "confirming" && status !== "waiting" && status !== "exchanging" && status !== "sending"
                })
            })
        ]
    });
/* harmony default export */ const exchange_progress = (ExchangeProgress);


/***/ }),

/***/ 5972:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1853);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(next_router__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var app_components_button__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8548);
/* harmony import */ var app_components_stepper_heading__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(1500);
/* harmony import */ var app_store__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(8751);
/* harmony import */ var features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(8206);
/* harmony import */ var features_exchange_status_exchange_status_slice__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(6479);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([app_store__WEBPACK_IMPORTED_MODULE_7__, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__]);
([app_store__WEBPACK_IMPORTED_MODULE_7__, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__] = __webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__);










const Wrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  align-items: center;
  display: flex;
  flex-direction: column;
  max-width: 600px;
  margin: 0 auto;
  gap: 20px;
`;
const Description = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().span)`
  font-size: 16px;
  text-align: center;
  line-height: 170%;
`;
const NewExchangeButton = _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default()(app_components_button__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z)`
  font-weight: 700;
  padding: 22px;
  width: 100%;
`;
const ExpiredExchange = ()=>{
    const router = (0,next_router__WEBPACK_IMPORTED_MODULE_4__.useRouter)();
    const dispatch = (0,app_store__WEBPACK_IMPORTED_MODULE_7__/* .useAppDispatch */ .TL)();
    const handleNewExchangePress = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(()=>{
        dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_8__/* .resetExchangeState */ .wU)());
        dispatch((0,features_exchange_status_exchange_status_slice__WEBPACK_IMPORTED_MODULE_9__/* .resetExchangeStatusInfo */ .FO)());
        void router.replace("/exchange");
    }, [
        dispatch,
        router
    ]);
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Wrapper, {
        children: [
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                width: 150,
                height: 150,
                src: "/images/expired-exchange.svg",
                alt: "Expired exchange"
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_stepper_heading__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                title: "Time's up",
                margin: "0"
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Description, {
                children: "It’s been more than 20 minutes since you’ve initiated the transaction, so we cannot proceed the fixed rate exchange. Please start a new one."
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(NewExchangeButton, {
                onClick: handleNewExchangePress,
                children: "Start new exchange"
            })
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ExpiredExchange);

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 7094:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1853);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(next_router__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var app_components_button__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(8548);
/* harmony import */ var app_components_info_section__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(9991);
/* harmony import */ var app_components_stepper_heading__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(1500);
/* harmony import */ var app_store__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(8751);
/* harmony import */ var features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(8206);
/* harmony import */ var features_exchange_status_exchange_status_slice__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(6479);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([app_store__WEBPACK_IMPORTED_MODULE_8__, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_9__]);
([app_store__WEBPACK_IMPORTED_MODULE_8__, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_9__] = __webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__);











const Wrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  align-items: center;
  display: flex;
  flex-direction: column;
  max-width: 600px;
  margin: 0 auto;
  gap: 20px;
`;
const ImagesWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  position: relative;
  height: 150px;
  width: 150px;
`;
const Description = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().section)`
  width: 100%;
`;
const NewExchangeButton = _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default()(app_components_button__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z)`
  font-weight: 700;
  padding: 22px;
  width: 100%;
`;
const FinishedExchange = ()=>{
    const exchangeStatus = (0,app_store__WEBPACK_IMPORTED_MODULE_8__/* .useAppSelector */ .CG)(features_exchange_status_exchange_status_slice__WEBPACK_IMPORTED_MODULE_10__/* .selectExchangeStatusInfo */ .Mt);
    const router = (0,next_router__WEBPACK_IMPORTED_MODULE_4__.useRouter)();
    const dispatch = (0,app_store__WEBPACK_IMPORTED_MODULE_8__/* .useAppDispatch */ .TL)();
    const handleNewExchangePress = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(()=>{
        dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_9__/* .resetExchangeState */ .wU)());
        dispatch((0,features_exchange_status_exchange_status_slice__WEBPACK_IMPORTED_MODULE_10__/* .resetExchangeStatusInfo */ .FO)());
        void router.replace("/exchange");
    }, [
        dispatch,
        router
    ]);
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Wrapper, {
        children: [
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(ImagesWrapper, {
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                        fill: true,
                        src: "/images/finished-exchange.svg",
                        alt: "Finished exchange"
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                        fill: true,
                        style: {
                            transform: "scale(0.5)"
                        },
                        src: "/icons/checkmark-icon-white.svg",
                        alt: "Finished exchange"
                    })
                ]
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_stepper_heading__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .Z, {
                title: "Exchange finished!",
                margin: "0"
            }),
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Description, {
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                        title: "You Sent",
                        value: `${exchangeStatus.amountFrom} ${exchangeStatus.fromCurrency?.toUpperCase()}`
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                        title: "You Got",
                        value: `${exchangeStatus.amountTo} ${exchangeStatus.toCurrency?.toUpperCase()}`
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                        title: "Recipient address",
                        value: exchangeStatus.payoutAddress
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                        title: "Transaction ID",
                        value: exchangeStatus.id
                    })
                ]
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(NewExchangeButton, {
                onClick: handleNewExchangePress,
                children: "Start new exchange"
            })
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (FinishedExchange);

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 7267:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var app_store__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8751);
/* harmony import */ var helpers_constants__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7601);
/* harmony import */ var hooks_use_fixed_rate_status_timer__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(4800);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([app_store__WEBPACK_IMPORTED_MODULE_3__, hooks_use_fixed_rate_status_timer__WEBPACK_IMPORTED_MODULE_5__]);
([app_store__WEBPACK_IMPORTED_MODULE_3__, hooks_use_fixed_rate_status_timer__WEBPACK_IMPORTED_MODULE_5__] = __webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__);






const Wrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  background-color: ${({ theme  })=>theme.colors.background.main};
  border-radius: ${({ theme  })=>theme.borderRadius.normal};
  display: flex;
  padding: 20px;
  position: relative;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_4__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    padding: 20px 10px;
  }
`;
const InnerWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  background-color: ${({ theme  })=>theme.colors.primary};
  border-radius: ${({ theme  })=>theme.borderRadius.normal};
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: ${({ width  })=>width ? `${width}%` : "100%"};
  opacity: 0.2;
  transition: 0.2s linear;
`;
const Time = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().span)`
  color: ${({ theme  })=>theme.colors.primary};
  font-size: 16px;
  font-weight: 400;
`;
const TimeHighlight = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().span)`
  font-size: 24px;
  font-weight: 700;
`;
const ValidityTimer = ()=>{
    const { expectedAmountFrom , fromCurrency  } = (0,app_store__WEBPACK_IMPORTED_MODULE_3__/* .useAppSelector */ .CG)((state)=>state.exchangeStatus);
    const { timeLeft , totalTime , displayedTime  } = (0,hooks_use_fixed_rate_status_timer__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z)();
    const width = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(()=>{
        if (timeLeft > 0 && totalTime) {
            return timeLeft / totalTime * 100;
        }
        return 0;
    }, [
        timeLeft,
        totalTime
    ]);
    if (!timeLeft || timeLeft < 0) {
        return null;
    }
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Wrapper, {
        children: [
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(InnerWrapper, {
                width: width
            }),
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Time, {
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(TimeHighlight, {
                        children: displayedTime
                    }),
                    " Time left to send ",
                    expectedAmountFrom,
                    " ",
                    fromCurrency?.toUpperCase()
                ]
            })
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ValidityTimer);

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 4800:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var dayjs__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1635);
/* harmony import */ var dayjs__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(dayjs__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var app_store__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8751);
/* harmony import */ var features_exchange_status_exchange_status_slice__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6479);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([app_store__WEBPACK_IMPORTED_MODULE_2__]);
app_store__WEBPACK_IMPORTED_MODULE_2__ = (__webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__)[0];




const useFixedRateStatusTimer = ()=>{
    const [timer, setTimer] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(dayjs__WEBPACK_IMPORTED_MODULE_1___default()());
    const dispatch = (0,app_store__WEBPACK_IMPORTED_MODULE_2__/* .useAppDispatch */ .TL)();
    const { validUntil  } = (0,app_store__WEBPACK_IMPORTED_MODULE_2__/* .useAppSelector */ .CG)((state)=>state.exchangeStatus);
    const timerInfo = (0,app_store__WEBPACK_IMPORTED_MODULE_2__/* .useAppSelector */ .CG)((state)=>(0,features_exchange_status_exchange_status_slice__WEBPACK_IMPORTED_MODULE_3__/* .selectTimerInfoForExchangeStatus */ .Np)(state, timer));
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(()=>{
        if (timerInfo.duration === 0) {
        // TODO
        }
    }, [
        dispatch,
        timerInfo.duration
    ]);
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(()=>{
        const intervalObj = validUntil !== "" ? setInterval(()=>{
            setTimer(dayjs__WEBPACK_IMPORTED_MODULE_1___default()());
        }, 1000) : null;
        return ()=>{
            clearInterval(intervalObj);
        };
    }, [
        validUntil
    ]);
    return {
        displayedTime: timerInfo.displayDate,
        totalTime: timerInfo.totalTime,
        timeLeft: timerInfo.duration
    };
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (useFixedRateStatusTimer);

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 5378:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2805);
/* harmony import */ var _emotion_react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_qr_code__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(3267);
/* harmony import */ var react_qr_code__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_qr_code__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var app_components_copy_text__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(3575);
/* harmony import */ var app_components_exchange_progress__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(1924);
/* harmony import */ var app_components_expired_exchange__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(5972);
/* harmony import */ var app_components_finished_exchange__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(7094);
/* harmony import */ var app_components_info_section__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(9991);
/* harmony import */ var app_components_loader__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(471);
/* harmony import */ var app_components_stepper_heading__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(1500);
/* harmony import */ var app_components_validity_timer__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(7267);
/* harmony import */ var app_store__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(8751);
/* harmony import */ var features_exchange_status_exchange_status_slice__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(6479);
/* harmony import */ var helpers_constants__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(7601);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([app_components_expired_exchange__WEBPACK_IMPORTED_MODULE_7__, app_components_finished_exchange__WEBPACK_IMPORTED_MODULE_8__, app_components_validity_timer__WEBPACK_IMPORTED_MODULE_12__, app_store__WEBPACK_IMPORTED_MODULE_13__]);
([app_components_expired_exchange__WEBPACK_IMPORTED_MODULE_7__, app_components_finished_exchange__WEBPACK_IMPORTED_MODULE_8__, app_components_validity_timer__WEBPACK_IMPORTED_MODULE_12__, app_store__WEBPACK_IMPORTED_MODULE_13__] = __webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__);
















const LoaderWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  align-items: center;
  display: flex;
  justify-content: center;
`;
const InfoWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  position: relative;
  padding-bottom: 60px;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_15__/* .BREAKPOINTS.tablet */ .j.tablet}) {
    padding-top: 60px;
  }

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_15__/* .BREAKPOINTS.mobileLarge */ .j.mobileLarge}) {
    padding: 0;
  }
`;
const InfoShadow = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  box-shadow: ${({ theme  })=>theme.boxShadow.primary};
  border-radius: ${({ theme  })=>theme.borderRadius.large};
  position: absolute;
  top: -35px;
  left: -50px;
  right: -50px;
  bottom: 35px;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_15__/* .BREAKPOINTS.tablet */ .j.tablet}) {
    top: 0;
  }

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_15__/* .BREAKPOINTS.mobileLarge */ .j.mobileLarge}) {
    display: none;
  }
`;
const Divider = (_emotion_styled__WEBPACK_IMPORTED_MODULE_3___default().div)`
  background-color: ${({ theme  })=>theme.colors.text.placeholder};
  margin: 30px 0 10px;
  opacity: 0.4;
  height: 1px;
  width: 100%;
`;
const MobileDivider = _emotion_styled__WEBPACK_IMPORTED_MODULE_3___default()(Divider)`
  display: none;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_15__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    display: block;
    margin: 30px 0 30px;
  }
`;
const ExchangeStatus = ()=>{
    const exchangeStatus = (0,app_store__WEBPACK_IMPORTED_MODULE_13__/* .useAppSelector */ .CG)(features_exchange_status_exchange_status_slice__WEBPACK_IMPORTED_MODULE_14__/* .selectExchangeStatusInfo */ .Mt);
    const theme = (0,_emotion_react__WEBPACK_IMPORTED_MODULE_2__.useTheme)();
    if (!exchangeStatus.id) {
        return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(LoaderWrapper, {
            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_loader__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .Z, {})
        });
    }
    if (exchangeStatus.isExpiredExchange) {
        return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_expired_exchange__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .Z, {});
    }
    if (exchangeStatus.status === "finished") {
        return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_finished_exchange__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .Z, {});
    }
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {
        children: [
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(InfoWrapper, {
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(InfoShadow, {}),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_stepper_heading__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .Z, {
                        title: "Send the funds you would like to exchange"
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .Z, {
                        title: "Send in a single transaction this amount:",
                        bigValue: `${exchangeStatus.expectedAmountFrom} ${exchangeStatus.fromCurrency}`,
                        fontSize: 20
                    }),
                    exchangeStatus.payinAddress && /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {
                        children: [
                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .Z, {
                                title: "To this address",
                                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_copy_text__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z, {
                                    text: exchangeStatus.payinAddress,
                                    children: exchangeStatus.payinAddress
                                })
                            }),
                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((react_qr_code__WEBPACK_IMPORTED_MODULE_4___default()), {
                                style: {
                                    maxWidth: 160,
                                    maxHeight: 160,
                                    margin: "10px 0"
                                },
                                fgColor: theme.colors.primary,
                                size: 256,
                                value: exchangeStatus.payinAddress
                            })
                        ]
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .Z, {
                        title: "Transaction ID",
                        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_copy_text__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z, {
                            text: exchangeStatus.id,
                            children: exchangeStatus.id
                        })
                    }),
                    exchangeStatus.validUntil ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_validity_timer__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .Z, {
                        validUntil: exchangeStatus.validUntil
                    }) : null
                ]
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(MobileDivider, {}),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_stepper_heading__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .Z, {
                title: "Progress"
            }),
            exchangeStatus.status && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_exchange_progress__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                status: exchangeStatus.status
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Divider, {}),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .Z, {
                title: "You Get",
                value: `${exchangeStatus.expectedAmountTo} ${exchangeStatus.toCurrency?.toUpperCase()}`
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .Z, {
                title: "Recipient address",
                value: exchangeStatus.payoutAddress
            })
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ExchangeStatus);

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ })

};
;