"use strict";
exports.id = 381;
exports.ids = [381];
exports.modules = {

/***/ 9991:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var helpers_constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7601);




const SubsectionWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  display: flex;
  flex-direction: column;
  padding: 13px 0;
  width: 100%;
  position: relative;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_3__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    padding: 8px 0;
    gap: 5px;
  }
`;
const Heading = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().span)`
  color: ${({ theme  })=>theme.colors.text.dark};
  opacity: 0.5;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_3__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    font-size: 12px;
  }
`;
const Value = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().span)`
  color: ${({ theme  })=>theme.colors.text.dark};
  font-size: 16px;
  font-weight: 600;
  word-wrap: break-word;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_3__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    font-size: 14px;
    letter-spacing: 1px;
  }
`;
const BigValue = _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default()(Value)`
  font-size: ${({ fontSize  })=>fontSize || 34}px;
  font-weight: 800;
  text-transform: uppercase;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_3__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    font-size: 24px;
  }
`;
const InfoSection = ({ title , value , bigValue , fontSize , children  })=>/*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(SubsectionWrapper, {
        children: [
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Heading, {
                children: title
            }),
            value && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Value, {
                children: value
            }),
            bigValue && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(BigValue, {
                fontSize: fontSize,
                children: bigValue
            }),
            children
        ]
    });
const isEqualProps = (prev, next)=>prev.title === next.title && prev.bigValue === next.bigValue && prev.value === next.value;
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (/*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_1__.memo)(InfoSection, isEqualProps));


/***/ }),

/***/ 1500:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var helpers_constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7601);




const Title = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().h2)`
  color: ${({ theme  })=>theme.colors.text.placeholder};
  margin: ${({ margin  })=>margin || "0 0 20px"};

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_3__/* .BREAKPOINTS.mobileLarge */ .j.mobileLarge}) {
    font-size: 18px;
  }

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_3__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    font-size: 14px;
  }
`;
const StepperHeading = ({ title , margin  })=>/*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Title, {
        margin: margin,
        children: title
    });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (StepperHeading);


/***/ })

};
;