"use strict";
exports.id = 436;
exports.ids = [436];
exports.modules = {

/***/ 7967:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);



const CheckboxWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  align-items: center;
  display: flex;
  gap: 10px;

  input {
    border: none;
    visibility: hidden;
    height: 20px;
    width: 20px;
    position: relative;
  }

  input::before {
    border: 1px solid ${({ theme  })=>theme.colors.border.main};
    border-radius: ${({ theme  })=>theme.borderRadius.extraSmall};
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    visibility: visible;
  }

  input:checked::before {
    background-color: ${({ theme  })=>theme.colors.primary};
    background-image: url('/icons/checkmark-icon-white.svg');
    background-repeat: no-repeat;
    background-position: 50% 50%;
  }
`;
const Checkbox = ({ children , id , checked , onChange  })=>/*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(CheckboxWrapper, {
        children: [
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("input", {
                type: "checkbox",
                id: id,
                name: id,
                checked: checked,
                onChange: onChange
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("label", {
                htmlFor: id,
                children: children
            })
        ]
    });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Checkbox);


/***/ }),

/***/ 5443:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var app_components_click_outside_wrapper__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(1359);
/* harmony import */ var helpers_constants__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(7601);






const Wrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  background-color: ${({ theme  })=>theme.colors.primary};
  border-radius: ${({ theme  })=>theme.borderRadius.large};
  display: flex;
  flex-direction: column;
  gap: 12px;
  font-size: 14px;
  padding: 30px 27px;
  position: relative;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_5__/* .BREAKPOINTS.tablet */ .j.tablet}) {
    padding: 70px 60px;
  }
`;
const Heading = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().span)`
  color: ${({ theme  })=>theme.colors.text.main};
  opacity: 0.8;
`;
const Description = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().span)`
  background-color: ${({ theme  })=>theme.colors.text.main};
  border-radius: ${({ theme  })=>theme.borderRadius.small};
  color: ${({ theme  })=>theme.colors.text.dark};
  display: flex;
  font-weight: 700;
  gap: 5px;
  padding: 12px;
`;
const MobileClose = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().button)`
  border: none;
  background-color: transparent;
  cursor: pointer;
  display: none;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_5__/* .BREAKPOINTS.tablet */ .j.tablet}) {
    background-image: url('/icons/close-icon-white.svg');
    display: block;
    position: absolute;
    top: 20px;
    right: 20px;
    width: 20px;
    height: 20px;
  }
`;
const GreenText = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().span)`
  color: ${({ theme  })=>theme.colors.additionalColors.green};
  display: flex;
  gap: 5px;
`;
const WarningModal = ({ onClose  })=>/*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_click_outside_wrapper__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Z, {
        setIsOpen: onClose,
        children: /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Wrapper, {
            children: [
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(MobileClose, {
                    onClick: onClose
                }),
                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Heading, {
                    children: "Please make sure you are on cherryswap.io"
                }),
                /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(Description, {
                    children: [
                        /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(GreenText, {
                            children: [
                                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                                    width: 20,
                                    height: 20,
                                    src: "/icons/lock-green.svg",
                                    alt: "Lock"
                                }),
                                "Secure |",
                                " "
                            ]
                        }),
                        "https://cherryswap.io"
                    ]
                })
            ]
        })
    });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (WarningModal);


/***/ }),

/***/ 2436:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1853);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_router__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var app_components_button__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(8548);
/* harmony import */ var app_components_checkbox__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(7967);
/* harmony import */ var app_components_info_section__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(9991);
/* harmony import */ var app_components_stepper_heading__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(1500);
/* harmony import */ var app_components_warning_modal__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(5443);
/* harmony import */ var app_store__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(8751);
/* harmony import */ var features_calculator_selectors__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(4629);
/* harmony import */ var features_calculator_thunks__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(5508);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([app_store__WEBPACK_IMPORTED_MODULE_9__, features_calculator_thunks__WEBPACK_IMPORTED_MODULE_11__]);
([app_store__WEBPACK_IMPORTED_MODULE_9__, features_calculator_thunks__WEBPACK_IMPORTED_MODULE_11__] = __webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__);












const ConfirmWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)``;
const Divider = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  background-color: ${({ theme  })=>theme.colors.text.placeholder};
  height: 1px;
  width: 100%;
  opacity: 0.3;
`;
const SectionWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  padding: 13px 0;
`;
const CheckboxText = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().span)`
  color: ${({ theme  })=>theme.colors.text.dark};
  font-size: 13px;
  opacity: 0.5;
`;
const ButtonsWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  display: flex;
  gap: 15px;
`;
const CommonButton = _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default()(app_components_button__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Z)`
  font-weight: 800;
  padding: 17px;
`;
const BackButton = _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default()(CommonButton)`
  background-color: ${({ theme  })=>theme.colors.button.background.light};
  color: ${({ theme  })=>theme.colors.text.placeholder};
  flex-basis: 30%;
`;
const NextButton = _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default()(CommonButton)`
  flex-basis: 70%;
`;
const MobileModal = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  align-items: center;
  background-color: ${({ theme  })=>theme.colors.text.dark};
  justify-content: center;
  display: flex;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 11;
`;
const ConfirmStep = ({ onBackStepPress  })=>{
    const arrivalTime = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_10__/* .selectArrivalTime */ .Os);
    const { fromAmount , toAmount  } = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_10__/* .selectExchangeAmounts */ .Zb);
    const { toAddress , refundAddress  } = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_10__/* .selectExchangeAddresses */ .pc);
    const { fromCurrency , toCurrency  } = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppSelector */ .CG)(features_calculator_selectors__WEBPACK_IMPORTED_MODULE_10__/* .selectExchangeCurrencies */ .Nf);
    const toCurrencyInfo = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppSelector */ .CG)((state)=>(0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_10__/* .selectCurrencyInfo */ .sQ)(state, toCurrency));
    const fromCurrencyInfo = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppSelector */ .CG)((state)=>(0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_10__/* .selectCurrencyInfo */ .sQ)(state, fromCurrency));
    const [isAgreed, setIsAgreed] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(true);
    const [isModalShown, setIsModalShown] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(true);
    const [didWarningShow, setDidWarningShow] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const router = (0,next_router__WEBPACK_IMPORTED_MODULE_3__.useRouter)();
    const dispatch = (0,app_store__WEBPACK_IMPORTED_MODULE_9__/* .useAppDispatch */ .TL)();
    const exchangeRate = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(()=>{
        if (Number(fromAmount) && Number(toAmount)) {
            return `1 ${fromCurrencyInfo.ticker?.toUpperCase()} ~ ${Number(toAmount) / Number(fromAmount)} ${toCurrencyInfo.ticker?.toUpperCase()}`;
        }
        return "";
    }, [
        fromAmount,
        toAmount,
        fromCurrencyInfo,
        toCurrencyInfo
    ]);
    const handleCheckboxChange = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(()=>{
        setIsAgreed(!isAgreed);
    }, [
        isAgreed
    ]);
    const handleNextPress = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(// eslint-disable-next-line
    async (event)=>{
        event.stopPropagation();
        if (window.innerWidth < 990 && !didWarningShow) {
            setDidWarningShow(true);
            setIsModalShown(true);
            return;
        }
        if (!isAgreed) {
            return;
        }
        const exchange = await dispatch((0,features_calculator_thunks__WEBPACK_IMPORTED_MODULE_11__/* .sendExchange */ .DT)()).unwrap();
        if (exchange?.id) {
            void router.replace(`/exchange?id=${exchange?.id}`);
        }
    }, [
        isAgreed,
        dispatch,
        router,
        didWarningShow
    ]);
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(ConfirmWrapper, {
        children: [
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_stepper_heading__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .Z, {
                title: "Confirm the details of exchange"
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Divider, {}),
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(SectionWrapper, {
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                        title: "You Send",
                        bigValue: `${fromAmount} ${fromCurrencyInfo.ticker}`
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                        title: "You Get",
                        bigValue: `${toAmount} ${toCurrencyInfo.ticker}`
                    })
                ]
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Divider, {}),
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(SectionWrapper, {
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                        title: "Recipient address",
                        value: toAddress
                    }),
                    refundAddress && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                        title: "Refund address",
                        value: refundAddress
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                        title: "Expected exchange rate",
                        value: exchangeRate
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_info_section__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z, {
                        title: "Estimated arrival time",
                        value: `≈ ${arrivalTime} minutes`
                    })
                ]
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Divider, {}),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(SectionWrapper, {
                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_checkbox__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z, {
                    id: "agreement",
                    checked: isAgreed,
                    onChange: handleCheckboxChange,
                    children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(CheckboxText, {
                        children: "I've read and agree to the Terms of Use, Privacy Policy and Risk Disclosure Statement"
                    })
                })
            }),
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(ButtonsWrapper, {
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(BackButton, {
                        onClick: onBackStepPress,
                        children: "Back"
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(NextButton, {
                        onClick: (event)=>handleNextPress(event),
                        children: "Next"
                    })
                ]
            }),
            isModalShown && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(MobileModal, {
                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(app_components_warning_modal__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .Z, {
                    onClose: ()=>setIsModalShown(false)
                })
            })
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ConfirmStep);

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ })

};
;