"use strict";
exports.id = 482;
exports.ids = [482];
exports.modules = {

/***/ 7482:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5675);
/* harmony import */ var next_image__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(next_image__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var types_exchange__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7296);





const StepsWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  display: flex;
  flex-direction: column;
  gap: 12px;
  padding: 30px 15px;
`;
const StepIconWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  background-color: ${({ theme , isActive  })=>isActive ? theme.colors.primary : theme.colors.text.placeholder};
  border-radius: 50%;
  position: relative;
  height: 30px;
  width: 30px;

  & > img {
    transform: scale(0.5);
  }
`;
const StepWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  align-items: center;
  background-color: ${({ theme  })=>theme.colors.background.main};
  border-radius: ${({ theme  })=>theme.borderRadius.small};
  color: ${({ theme , isActive  })=>isActive ? theme.colors.primary : theme.colors.text.placeholder};
  display: flex;
  font-size: 15px;
  font-weight: 800;
  justify-content: space-between;
  padding: 22px 20px;

  div,
  span {
    opacity: ${({ isCompleted , isActive  })=>isCompleted || isActive ? "1" : "0.3"};
  }
`;
const Steps = ({ currentStep  })=>{
    const isActiveStep = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((step)=>currentStep === step, [
        currentStep
    ]);
    const isCompletedDetailsStep = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(()=>isActiveStep(types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Confirm */ .h8.Confirm) || isActiveStep(types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Complete */ .h8.Complete), [
        isActiveStep
    ]);
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(StepsWrapper, {
        children: [
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(StepWrapper, {
                isActive: isActiveStep(types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Details */ .h8.Details),
                isCompleted: isCompletedDetailsStep,
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("span", {
                        children: "Enter exchange details"
                    }),
                    /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(StepIconWrapper, {
                        isActive: isActiveStep(types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Details */ .h8.Details),
                        children: [
                            isActiveStep(types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Details */ .h8.Details) && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                                fill: true,
                                src: "/icons/active-step-icon.svg",
                                alt: types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Details */ .h8.Details
                            }),
                            isCompletedDetailsStep && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                                fill: true,
                                src: "/icons/checkmark-icon-white.svg",
                                alt: types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Details */ .h8.Details
                            })
                        ]
                    })
                ]
            }),
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(StepWrapper, {
                isActive: isActiveStep(types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Confirm */ .h8.Confirm),
                isCompleted: isActiveStep(types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Complete */ .h8.Complete),
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("span", {
                        children: "Confirm exchange"
                    }),
                    /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(StepIconWrapper, {
                        isActive: isActiveStep(types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Confirm */ .h8.Confirm),
                        children: [
                            isActiveStep(types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Confirm */ .h8.Confirm) && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                                fill: true,
                                src: "/icons/active-step-icon.svg",
                                alt: types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Details */ .h8.Details
                            }),
                            isActiveStep(types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Complete */ .h8.Complete) && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                                fill: true,
                                src: "/icons/checkmark-icon-white.svg",
                                alt: types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Details */ .h8.Details
                            })
                        ]
                    })
                ]
            }),
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(StepWrapper, {
                isActive: isActiveStep(types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Complete */ .h8.Complete),
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("span", {
                        children: "Complete exchange"
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(StepIconWrapper, {
                        isActive: isActiveStep(types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Complete */ .h8.Complete),
                        children: isActiveStep(types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Complete */ .h8.Complete) && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx((next_image__WEBPACK_IMPORTED_MODULE_3___default()), {
                            fill: true,
                            src: "/icons/active-step-icon.svg",
                            alt: types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Details */ .h8.Details
                        })
                    })
                ]
            })
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Steps);


/***/ })

};
;