"use strict";
exports.id = 513;
exports.ids = [513];
exports.modules = {

/***/ 6513:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1480);
/* harmony import */ var _emotion_styled__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_emotion_styled__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var helpers_constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7601);
/* harmony import */ var types_exchange__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7296);





const StepsWrapper = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  align-items: center;
  display: none;
  width: 100%;
  margin-bottom: 35px;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_3__/* .BREAKPOINTS.tablet */ .j.tablet}) {
    display: flex;
  }
`;
const StepCounter = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().span)`
  align-items: center;
  justify-content: center;
  background-color: ${({ theme , isActive  })=>isActive ? theme.colors.primary : theme.colors.background.main};
  border-radius: ${({ theme  })=>theme.borderRadius.normal};
  color: ${({ theme , isActive  })=>isActive ? theme.colors.text.main : theme.colors.text.placeholder};
  font-size: 13px;
  font-weight: 700;
  width: 100%;
  min-width: 60px;
  height: 26px;
  display: flex;
`;
const Line = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().div)`
  background-color: ${({ theme , isActive  })=>isActive ? theme.colors.primary : theme.colors.background.main};
  display: flex;
  height: 3px;
  width: 100%;
`;
const StepHeading = (_emotion_styled__WEBPACK_IMPORTED_MODULE_2___default().h1)`
  color: ${({ theme  })=>theme.colors.primary};
  display: none;
  font-size: 16px;
  margin: 0 0 15px;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 2px;

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_3__/* .BREAKPOINTS.tablet */ .j.tablet}) {
    display: block;
  }

  @media (max-width: ${helpers_constants__WEBPACK_IMPORTED_MODULE_3__/* .BREAKPOINTS.mobile */ .j.mobile}) {
    font-size: 14px;
  }
`;
const getStepHeading = (currentStep)=>{
    switch(currentStep){
        case types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Confirm */ .h8.Confirm:
            return "Confirm exchange";
        case types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Complete */ .h8.Complete:
            return "Complete exchange";
        default:
            return "Exchange amount";
    }
};
const MobileSteps = ({ currentStep  })=>/*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {
        children: [
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(StepHeading, {
                children: getStepHeading(currentStep)
            }),
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(StepsWrapper, {
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Line, {
                        isActive: true
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(StepCounter, {
                        isActive: true,
                        children: "Step 1"
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Line, {
                        isActive: currentStep === types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Confirm */ .h8.Confirm || currentStep === types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Complete */ .h8.Complete
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(StepCounter, {
                        isActive: currentStep === types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Confirm */ .h8.Confirm || currentStep === types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Complete */ .h8.Complete,
                        children: "Step 2"
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Line, {
                        isActive: currentStep === types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Complete */ .h8.Complete
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(StepCounter, {
                        isActive: currentStep === types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Complete */ .h8.Complete,
                        children: "Step 3"
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Line, {
                        isActive: currentStep === types_exchange__WEBPACK_IMPORTED_MODULE_4__/* .Step.Complete */ .h8.Complete
                    })
                ]
            })
        ]
    });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (MobileSteps);


/***/ })

};
;