"use strict";
exports.id = 751;
exports.ids = [751];
exports.modules = {

/***/ 1290:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var process__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(7282);
/* harmony import */ var process__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(process__WEBPACK_IMPORTED_MODULE_0__);

class EnvironmentConfig {
    static get env() {
        return String("production").toLowerCase().trim();
    }
    static get contentApiUrl() {
        return String("https://content-api.changenow.io/").trim();
    }
    static get changeNowApiKey() {
        return String(process__WEBPACK_IMPORTED_MODULE_0__.env.CHANGE_NOW_API_KEY).trim();
    }
    static get changeNowApiUrl() {
        return String(process__WEBPACK_IMPORTED_MODULE_0__.env.CHANGE_NOW_API_URL).trim();
    }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (EnvironmentConfig);


/***/ }),

/***/ 8751:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CG": () => (/* binding */ useAppSelector),
/* harmony export */   "Dj": () => (/* binding */ persistor),
/* harmony export */   "TL": () => (/* binding */ useAppDispatch),
/* harmony export */   "ZP": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5184);
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6022);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var redux_persist__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4161);
/* harmony import */ var redux_persist__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(redux_persist__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var redux_persist_lib_storage__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8936);
/* harmony import */ var redux_persist_lib_storage__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(redux_persist_lib_storage__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(8206);
/* harmony import */ var features_exchange_status_exchange_status_slice__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(6479);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_4__]);
features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_4__ = (__webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__)[0];






const persistConfig = {
    key: "root",
    storage: (redux_persist_lib_storage__WEBPACK_IMPORTED_MODULE_3___default()),
    blacklist: [
        "calculator",
        "exchangeStatus"
    ]
};
const calculatorPersistConfig = {
    key: "calculator",
    storage: (redux_persist_lib_storage__WEBPACK_IMPORTED_MODULE_3___default()),
    whitelist: [
        "currencies",
        "amounts",
        "flowInfo"
    ]
};
const rootReducer = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.combineReducers)({
    calculator: (0,redux_persist__WEBPACK_IMPORTED_MODULE_2__.persistReducer)(calculatorPersistConfig, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_4__/* .calculatorReducer */ .FJ),
    exchangeStatus: features_exchange_status_exchange_status_slice__WEBPACK_IMPORTED_MODULE_5__/* .exchangeStatusReducer */ .g
});
const store = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.configureStore)({
    reducer: (0,redux_persist__WEBPACK_IMPORTED_MODULE_2__.persistReducer)(persistConfig, rootReducer)
});
const persistor = (0,redux_persist__WEBPACK_IMPORTED_MODULE_2__.persistStore)(store);
const useAppDispatch = ()=>(0,react_redux__WEBPACK_IMPORTED_MODULE_1__.useDispatch)();
const useAppSelector = react_redux__WEBPACK_IMPORTED_MODULE_1__.useSelector;
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (store);

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 8206:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "FJ": () => (/* binding */ calculatorReducer),
/* harmony export */   "HG": () => (/* binding */ setFromCurrency),
/* harmony export */   "JW": () => (/* binding */ setExchangeType),
/* harmony export */   "UJ": () => (/* binding */ setIsFromInputTouched),
/* harmony export */   "VH": () => (/* binding */ setFromAmount),
/* harmony export */   "YV": () => (/* binding */ reverseExchange),
/* harmony export */   "Zl": () => (/* binding */ setToCurrency),
/* harmony export */   "gm": () => (/* binding */ setRefundAddress),
/* harmony export */   "kB": () => (/* binding */ setFlow),
/* harmony export */   "n2": () => (/* binding */ resetErrors),
/* harmony export */   "o$": () => (/* binding */ setToAmount),
/* harmony export */   "pr": () => (/* binding */ resetFixedRateInfo),
/* harmony export */   "sm": () => (/* binding */ setToAddress),
/* harmony export */   "wU": () => (/* binding */ resetExchangeState)
/* harmony export */ });
/* unused harmony export calculatorSlice */
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5184);
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var features_calculator_thunks__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5508);
/* harmony import */ var lib_bn__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9884);
/* harmony import */ var types_exchange__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7296);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([features_calculator_thunks__WEBPACK_IMPORTED_MODULE_1__, lib_bn__WEBPACK_IMPORTED_MODULE_2__]);
([features_calculator_thunks__WEBPACK_IMPORTED_MODULE_1__, lib_bn__WEBPACK_IMPORTED_MODULE_2__] = __webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__);




const initialState = {
    currencies: {
        from: "btc-btc",
        to: "eth-eth"
    },
    amounts: {
        from: "0.1",
        to: undefined,
        minAmount: undefined,
        maxAmount: undefined
    },
    addresses: {
        toAddress: "",
        refundAddress: ""
    },
    estimatedArrivalTime: undefined,
    estimatedRate: "0",
    flowInfo: {
        flow: types_exchange__WEBPACK_IMPORTED_MODULE_3__/* .FlowType.Standard */ .MK.Standard,
        type: types_exchange__WEBPACK_IMPORTED_MODULE_3__/* .ExchangeType.Direct */ .xS.Direct,
        rateId: "",
        validUntil: ""
    },
    currenciesInfo: {},
    // error: '',
    errorMessage: "",
    ui: {
        isFromInputTouched: false,
        isLoadingCalculator: true,
        isLoadingEstimation: true,
        isLoadingFromInput: false,
        isLoadingToInput: false
    }
};
const calculatorSlice = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSlice)({
    name: "calculator",
    initialState,
    reducers: {
        setFromAmount: (state, action)=>{
            state.amounts.from = action.payload;
        },
        setIsFromInputTouched: (state, action)=>{
            state.ui.isFromInputTouched = action.payload;
        },
        setToAmount: (state, action)=>{
            state.amounts.to = action.payload;
        },
        setFromCurrency: (state, action)=>{
            state.currencies.from = action.payload;
        },
        setToCurrency: (state, action)=>{
            state.currencies.to = action.payload;
        },
        setToAddress: (state, action)=>{
            state.addresses.toAddress = action.payload;
        },
        setRefundAddress: (state, action)=>{
            state.addresses.refundAddress = action.payload;
        },
        reverseExchange: (state)=>{
            const { currencies: { from , to  }  } = state;
            state.currencies.to = from;
            state.currencies.from = to;
        },
        setFlow: (state, action)=>{
            state.flowInfo.flow = action.payload;
        },
        setExchangeType: (state, action)=>{
            state.flowInfo.type = action.payload;
        },
        resetErrors: (state)=>{
            state.errorMessage = "";
        },
        resetFixedRateInfo: (state)=>{
            state.flowInfo.rateId = "";
            state.flowInfo.validUntil = "";
        },
        resetExchangeState: ()=>initialState
    },
    extraReducers: (builder)=>{
        builder.addCase(features_calculator_thunks__WEBPACK_IMPORTED_MODULE_1__/* .getCurrencyInfo.fulfilled */ .II.fulfilled, (state, action)=>{
            state.currenciesInfo = action.payload.currenciesInfo;
            state.ui.isLoadingCalculator = false;
        });
        builder.addCase(features_calculator_thunks__WEBPACK_IMPORTED_MODULE_1__/* .getCurrencyInfo.pending */ .II.pending, (state)=>{
            state.ui.isLoadingCalculator = true;
        });
        builder.addCase(features_calculator_thunks__WEBPACK_IMPORTED_MODULE_1__/* .fetchEstimationAmount.fulfilled */ .LJ.fulfilled, (state, action)=>{
            state.ui.isLoadingFromInput = false;
            state.ui.isLoadingToInput = false;
            state.ui.isLoadingEstimation = false;
            if (action.payload) {
                const { toAmount , fromAmount  } = action.payload;
                if (state.flowInfo.type === types_exchange__WEBPACK_IMPORTED_MODULE_3__/* .ExchangeType.Reverse */ .xS.Reverse) {
                    state.amounts.from = String(fromAmount || "");
                    state.estimatedRate = (0,lib_bn__WEBPACK_IMPORTED_MODULE_2__/* .getFormattedLargeValue */ .Dh)((0,lib_bn__WEBPACK_IMPORTED_MODULE_2__/* .dividedBy */ .hC)(state.amounts.to || 0, fromAmount || 1).toString());
                } else {
                    state.amounts.to = String(toAmount || "");
                    state.estimatedRate = (0,lib_bn__WEBPACK_IMPORTED_MODULE_2__/* .getFormattedLargeValue */ .Dh)((0,lib_bn__WEBPACK_IMPORTED_MODULE_2__/* .dividedBy */ .hC)(toAmount || 0, state.amounts.from || 1).toString());
                }
                state.flowInfo.rateId = action.payload.rateId || "";
                state.flowInfo.validUntil = action.payload.validUntil || "";
                state.estimatedArrivalTime = action.payload.transactionSpeedForecast || "10 - 60";
            } else {
                state.amounts.to = "";
                state.amounts.from = "";
                state.estimatedRate = "";
            }
        });
        builder.addCase(features_calculator_thunks__WEBPACK_IMPORTED_MODULE_1__/* .fetchEstimationAmount.pending */ .LJ.pending, (state)=>{
            state.ui.isLoadingEstimation = true;
            state.errorMessage = "";
            if (state.flowInfo.type === types_exchange__WEBPACK_IMPORTED_MODULE_3__/* .ExchangeType.Reverse */ .xS.Reverse) {
                state.ui.isLoadingFromInput = true;
            } else {
                state.ui.isLoadingToInput = true;
            }
        });
        builder.addCase(features_calculator_thunks__WEBPACK_IMPORTED_MODULE_1__/* .fetchEstimationAmount.rejected */ .LJ.rejected, (state, action)=>{
            state.errorMessage = action.payload;
            if (state.flowInfo.type === types_exchange__WEBPACK_IMPORTED_MODULE_3__/* .ExchangeType.Reverse */ .xS.Reverse) {
                state.ui.isLoadingFromInput = false;
                state.amounts.from = "";
                state.estimatedRate = "";
            } else {
                state.ui.isLoadingToInput = false;
                state.amounts.to = "";
                state.estimatedRate = "";
            }
            state.ui.isLoadingEstimation = false;
        });
        builder.addCase(features_calculator_thunks__WEBPACK_IMPORTED_MODULE_1__/* .fetchPairInfo.fulfilled */ .J3.fulfilled, (state, action)=>{
            state.amounts.maxAmount = action.payload.maxAmount || undefined;
            state.amounts.minAmount = action.payload.minAmount || undefined;
        });
    }
});
const { setFromAmount , setIsFromInputTouched , setToAmount , setFromCurrency , setToCurrency , setToAddress , setRefundAddress , reverseExchange , setFlow , setExchangeType , resetExchangeState , resetFixedRateInfo , resetErrors  } = calculatorSlice.actions;
const calculatorReducer = calculatorSlice.reducer;

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 5672:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "J2": () => (/* binding */ getEstimatedAmount),
/* harmony export */   "Oq": () => (/* binding */ getCurrenciesInfo),
/* harmony export */   "lO": () => (/* binding */ sendExchangeInfo),
/* harmony export */   "zW": () => (/* binding */ getPairInfo)
/* harmony export */ });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9648);
/* harmony import */ var app_environment_config__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1290);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([axios__WEBPACK_IMPORTED_MODULE_0__]);
axios__WEBPACK_IMPORTED_MODULE_0__ = (__webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__)[0];


const contentApiClient = axios__WEBPACK_IMPORTED_MODULE_0__["default"].create({
    baseURL: app_environment_config__WEBPACK_IMPORTED_MODULE_1__/* ["default"].contentApiUrl */ .Z.contentApiUrl
});
const generateCurrencyInfoKey = (currency)=>{
    if (currency.token_contract) {
        return `${currency.current_ticker}-${currency.network}-${currency.token_contract}`.toLowerCase();
    }
    return `${currency.current_ticker}-${currency.network}`.toLowerCase();
};
const currencyInfoMapper = (currenciesInfo)=>currenciesInfo.reduce((acc, currency)=>({
            ...acc,
            [generateCurrencyInfoKey(currency)]: {
                id: currency.id,
                ticker: currency.current_ticker,
                name: currency.name,
                network: currency.network,
                decimals: currency.decimals,
                hasExternalId: currency.has_external_id,
                tokenContract: currency.token_contract,
                regex: currency.regex,
                isPopular: currency.is_popular,
                position: currency.position,
                defaultValue: currency.default_value,
                manualDefaultValue: currency.manual_default_value,
                isFixedRateEnabled: currency.is_fixed_rate_enabled,
                icon: `${app_environment_config__WEBPACK_IMPORTED_MODULE_1__/* ["default"].contentApiUrl */ .Z.contentApiUrl}${currency.icon?.url}` || `${app_environment_config__WEBPACK_IMPORTED_MODULE_1__/* ["default"].contentApiUrl */ .Z.contentApiUrl}${currency.icon_png?.url}`
            }
        }), {});
const getCurrenciesInfo = async ()=>{
    const { data  } = await contentApiClient.get("/currencies", {
        params: {
            _limit: "-1",
            is_fiat: false,
            is_site: true,
            _sort: "id"
        }
    });
    return currencyInfoMapper(data);
};
const getPairInfo = async (params)=>{
    const { data  } = await axios__WEBPACK_IMPORTED_MODULE_0__["default"].get("/api/exchange-range", {
        params
    });
    return data;
};
const getEstimatedAmount = async (params)=>{
    const { data  } = await axios__WEBPACK_IMPORTED_MODULE_0__["default"].get("/api/estimate", {
        params
    });
    return data;
};
const sendExchangeInfo = async (params)=>{
    const { data  } = await axios__WEBPACK_IMPORTED_MODULE_0__["default"].get("/api/create-exchange", {
        params
    });
    return data;
};

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 4629:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "D_": () => (/* binding */ selectExchangeType),
/* harmony export */   "Nf": () => (/* binding */ selectExchangeCurrencies),
/* harmony export */   "Os": () => (/* binding */ selectArrivalTime),
/* harmony export */   "S9": () => (/* binding */ selectCurrenciesInfo),
/* harmony export */   "Uw": () => (/* binding */ selectEstimatedRate),
/* harmony export */   "Zb": () => (/* binding */ selectExchangeAmounts),
/* harmony export */   "hm": () => (/* binding */ selectTimerInfoFromTimestamp),
/* harmony export */   "kX": () => (/* binding */ selectExchangeFixedRateId),
/* harmony export */   "pJ": () => (/* binding */ selectCalculatorUiState),
/* harmony export */   "pQ": () => (/* binding */ selectIsFixedRate),
/* harmony export */   "pc": () => (/* binding */ selectExchangeAddresses),
/* harmony export */   "rF": () => (/* binding */ selectExchangeError),
/* harmony export */   "sQ": () => (/* binding */ selectCurrencyInfo)
/* harmony export */ });
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5184);
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var dayjs__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1635);
/* harmony import */ var dayjs__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(dayjs__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var types_exchange__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(7296);



const selectExchangeAmounts = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state.calculator, (_)=>_, ({ amounts: { from , to , minAmount , maxAmount  }  })=>({
        fromAmount: from,
        toAmount: to,
        minAmount,
        maxAmount
    }));
const selectExchangeCurrencies = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state.calculator, (_)=>_, ({ currencies: { from , to  }  })=>({
        fromCurrency: from,
        toCurrency: to
    }));
const selectExchangeAddresses = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state.calculator, (_)=>_, ({ addresses  })=>addresses);
const selectCurrenciesInfo = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state.calculator, (_)=>_, ({ currenciesInfo  })=>currenciesInfo);
const selectCurrencyInfo = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state.calculator, (_, currencyKey)=>currencyKey, ({ currenciesInfo  }, currencyKey)=>currenciesInfo[currencyKey]);
const selectCalculatorUiState = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state.calculator, (_)=>_, ({ ui  })=>ui);
const selectArrivalTime = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state.calculator, (_)=>_, ({ estimatedArrivalTime  })=>estimatedArrivalTime);
const selectEstimatedRate = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state.calculator, (_)=>_, ({ estimatedRate  })=>estimatedRate);
const selectIsFixedRate = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state.calculator, (_)=>_, ({ flowInfo  })=>flowInfo.flow === types_exchange__WEBPACK_IMPORTED_MODULE_2__/* .FlowType.FixedRate */ .MK.FixedRate);
const selectExchangeType = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state.calculator, (_)=>_, ({ flowInfo  })=>flowInfo.type);
const selectExchangeFixedRateId = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state.calculator, (_)=>_, ({ flowInfo  })=>flowInfo.rateId);
const selectExchangeError = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state.calculator, (_)=>_, ({ errorMessage  })=>({
        errorMessage
    }));
const selectTimerInfoFromTimestamp = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state.calculator, (_, nowTimestamp)=>nowTimestamp, ({ flowInfo: { validUntil  }  })=>{
    if (validUntil) {
        const seconds = dayjs__WEBPACK_IMPORTED_MODULE_1___default()(validUntil).diff(dayjs__WEBPACK_IMPORTED_MODULE_1___default()(), "second");
        return {
            displayDate: dayjs__WEBPACK_IMPORTED_MODULE_1___default().duration(dayjs__WEBPACK_IMPORTED_MODULE_1___default()(validUntil).diff(dayjs__WEBPACK_IMPORTED_MODULE_1___default()())).format("mm:ss"),
            duration: seconds
        };
    }
    return {
        displayDate: "",
        duration: null
    };
});


/***/ }),

/***/ 5508:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "AL": () => (/* binding */ changeFromAmount),
/* harmony export */   "DT": () => (/* binding */ sendExchange),
/* harmony export */   "II": () => (/* binding */ getCurrencyInfo),
/* harmony export */   "J3": () => (/* binding */ fetchPairInfo),
/* harmony export */   "LJ": () => (/* binding */ fetchEstimationAmount),
/* harmony export */   "bq": () => (/* binding */ initCalculator),
/* harmony export */   "kH": () => (/* binding */ changeToAmount),
/* harmony export */   "nZ": () => (/* binding */ fetchEstimationNewPair)
/* harmony export */ });
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5184);
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9648);
/* harmony import */ var features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8206);
/* harmony import */ var features_calculator_client__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5672);
/* harmony import */ var features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4629);
/* harmony import */ var features_create_debounced_async_thunk__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(6670);
/* harmony import */ var features_exchange_status_exchange_status_slice__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(6479);
/* harmony import */ var helpers_validate_numeric_string__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(3732);
/* harmony import */ var lib_bn__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(9884);
/* harmony import */ var types_exchange__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(7296);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([axios__WEBPACK_IMPORTED_MODULE_1__, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__, features_calculator_client__WEBPACK_IMPORTED_MODULE_3__, lib_bn__WEBPACK_IMPORTED_MODULE_7__]);
([axios__WEBPACK_IMPORTED_MODULE_1__, features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__, features_calculator_client__WEBPACK_IMPORTED_MODULE_3__, lib_bn__WEBPACK_IMPORTED_MODULE_7__] = __webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__);










const getCurrencyInfo = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createAsyncThunk)("calculator/getCurrencyInfo", async ()=>{
    const currenciesInfo = await (0,features_calculator_client__WEBPACK_IMPORTED_MODULE_3__/* .getCurrenciesInfo */ .Oq)();
    return {
        currenciesInfo
    };
});
const sendExchange = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createAsyncThunk)("calculator/sendExchangeData", async (_, thunkAPI)=>{
    const state = thunkAPI.getState();
    const { dispatch  } = thunkAPI;
    const { fromAmount , toAmount  } = (0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__/* .selectExchangeAmounts */ .Zb)(state);
    const { fromCurrency , toCurrency  } = (0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__/* .selectExchangeCurrencies */ .Nf)(state);
    const { toAddress , refundAddress  } = (0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__/* .selectExchangeAddresses */ .pc)(state);
    const toCurrencyInfo = (0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__/* .selectCurrencyInfo */ .sQ)(state, toCurrency);
    const fromCurrencyInfo = (0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__/* .selectCurrencyInfo */ .sQ)(state, fromCurrency);
    if (fromAmount) {
        const exchangeInfo = await (0,features_calculator_client__WEBPACK_IMPORTED_MODULE_3__/* .sendExchangeInfo */ .lO)({
            address: toAddress,
            fromAmount,
            fromCurrency: fromCurrencyInfo.ticker,
            fromNetwork: fromCurrencyInfo.network,
            toCurrency: toCurrencyInfo?.ticker,
            toNetwork: toCurrencyInfo?.network,
            refundAddress,
            flow: state.calculator.flowInfo.flow,
            type: state.calculator.flowInfo.type,
            rateId: state.calculator.flowInfo.rateId,
            // extraId?: string
            toAmount,
            provider: "",
            source: ""
        });
        dispatch((0,features_exchange_status_exchange_status_slice__WEBPACK_IMPORTED_MODULE_6__/* .setExchangeInfo */ .H3)(exchangeInfo));
        return exchangeInfo;
    }
    return undefined;
});
const fetchEstimationAmount = (0,features_create_debounced_async_thunk__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z)("calculator/fetchEstimationAmount", {
    wait: 500
}, async (_, thunkAPI)=>{
    const state = thunkAPI.getState();
    const { fromAmount , toAmount , minAmount , maxAmount  } = (0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__/* .selectExchangeAmounts */ .Zb)(state);
    const { fromCurrency , toCurrency  } = (0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__/* .selectExchangeCurrencies */ .Nf)(state);
    const toCurrencyInfo = (0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__/* .selectCurrencyInfo */ .sQ)(state, toCurrency);
    const fromCurrencyInfo = (0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__/* .selectCurrencyInfo */ .sQ)(state, fromCurrency);
    const checkedAmount = state.calculator.flowInfo.type === types_exchange__WEBPACK_IMPORTED_MODULE_8__/* .ExchangeType.Direct */ .xS.Direct ? fromAmount : toAmount;
    if (!checkedAmount || (0,lib_bn__WEBPACK_IMPORTED_MODULE_7__/* .lte */ .G)(checkedAmount, 0)) {
        return;
    }
    if (minAmount && (0,lib_bn__WEBPACK_IMPORTED_MODULE_7__/* .lte */ .G)(checkedAmount, minAmount) || maxAmount && (0,lib_bn__WEBPACK_IMPORTED_MODULE_7__/* .gte */ .eg)(checkedAmount, maxAmount)) {
        return thunkAPI.rejectWithValue("Entered amount out of range");
    }
    try {
        return await (0,features_calculator_client__WEBPACK_IMPORTED_MODULE_3__/* .getEstimatedAmount */ .J2)({
            toCurrency: toCurrencyInfo.ticker,
            toNetwork: toCurrencyInfo.network,
            fromCurrency: fromCurrencyInfo.ticker,
            fromNetwork: fromCurrencyInfo.network,
            fromAmount,
            toAmount,
            type: state.calculator.flowInfo.type,
            flow: state.calculator.flowInfo.flow,
            useRateId: state.calculator.flowInfo.flow === types_exchange__WEBPACK_IMPORTED_MODULE_8__/* .FlowType.FixedRate */ .MK.FixedRate ? state.calculator.flowInfo.rateId : undefined
        });
    } catch (e) {
        if (axios__WEBPACK_IMPORTED_MODULE_1__["default"].isAxiosError(e) && e.response?.status === 400 && e.response?.data?.message) {
            return thunkAPI.rejectWithValue(e.response?.data?.message);
        }
        return thunkAPI.rejectWithValue("Exchange error");
    }
});
const fetchPairInfo = (0,features_create_debounced_async_thunk__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z)("calculator/fetchPairInfo", {
    wait: 500
}, async (_, thunkAPI)=>{
    const state = thunkAPI.getState();
    const { fromCurrency , toCurrency  } = (0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__/* .selectExchangeCurrencies */ .Nf)(state);
    const toCurrencyInfo = state.calculator.flowInfo.type === types_exchange__WEBPACK_IMPORTED_MODULE_8__/* .ExchangeType.Direct */ .xS.Direct ? (0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__/* .selectCurrencyInfo */ .sQ)(state, toCurrency) : (0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__/* .selectCurrencyInfo */ .sQ)(state, fromCurrency);
    const fromCurrencyInfo = state.calculator.flowInfo.type === types_exchange__WEBPACK_IMPORTED_MODULE_8__/* .ExchangeType.Direct */ .xS.Direct ? (0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__/* .selectCurrencyInfo */ .sQ)(state, fromCurrency) : (0,features_calculator_selectors__WEBPACK_IMPORTED_MODULE_4__/* .selectCurrencyInfo */ .sQ)(state, toCurrency);
    try {
        return await (0,features_calculator_client__WEBPACK_IMPORTED_MODULE_3__/* .getPairInfo */ .zW)({
            toCurrency: toCurrencyInfo.ticker,
            toNetwork: toCurrencyInfo.network,
            fromCurrency: fromCurrencyInfo.ticker,
            fromNetwork: fromCurrencyInfo.network,
            flow: state.calculator.flowInfo.flow
        });
    } catch (e) {
        return thunkAPI.rejectWithValue("Pair info error");
    }
});
const fetchEstimationNewPair = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createAsyncThunk)("calculator/fetchEstimationNewPair", async (_, thunkAPI)=>{
    const { dispatch  } = thunkAPI;
    await dispatch(fetchPairInfo());
    await dispatch(fetchEstimationAmount());
});
const initCalculator = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createAsyncThunk)("calculator/initCalculator", async (_, thunkAPI)=>{
    const { dispatch  } = thunkAPI;
    await dispatch(getCurrencyInfo());
    const state = thunkAPI.getState();
    const { calculator: { flowInfo , amounts , currenciesInfo , currencies  }  } = state;
    if (flowInfo.type === types_exchange__WEBPACK_IMPORTED_MODULE_8__/* .ExchangeType.Direct */ .xS.Direct && !amounts.from) {
        const amount = currenciesInfo[currencies.from]?.manualDefaultValue || currenciesInfo[currencies.from]?.defaultValue;
        if (amount) {
            void dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .setFromAmount */ .VH)(String(amount)));
        }
    }
    if (flowInfo.type === types_exchange__WEBPACK_IMPORTED_MODULE_8__/* .ExchangeType.Reverse */ .xS.Reverse && !amounts.to) {
        const amount1 = currenciesInfo[currencies.to]?.manualDefaultValue || currenciesInfo[currencies.to]?.defaultValue;
        if (amount1) {
            void dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .setToAmount */ .o$)(String(amount1)));
        }
    }
});
const changeFromAmount = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createAsyncThunk)("exchange/changeFromAmount", ({ amount , currencyInfo  }, thunkAPI)=>{
    const { dispatch  } = thunkAPI;
    dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .resetErrors */ .n2)());
    dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .resetFixedRateInfo */ .pr)());
    void dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .setIsFromInputTouched */ .UJ)(true));
    void dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .setExchangeType */ .JW)(types_exchange__WEBPACK_IMPORTED_MODULE_8__/* .ExchangeType.Direct */ .xS.Direct));
    const formattedAmount = (0,lib_bn__WEBPACK_IMPORTED_MODULE_7__/* .formatInputValue */ .so)(amount);
    if (formattedAmount === "" || (0,lib_bn__WEBPACK_IMPORTED_MODULE_7__.eq)(formattedAmount, 0)) {
        dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .setFromAmount */ .VH)(formattedAmount));
        dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .setToAmount */ .o$)(""));
        return;
    }
    if ((0,helpers_validate_numeric_string__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .Z)(formattedAmount, Number(currencyInfo?.decimals))) {
        void dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .setFromAmount */ .VH)(formattedAmount));
        void dispatch(fetchEstimationAmount());
    }
});
const changeToAmount = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createAsyncThunk)("exchange/changeFromAmount", ({ amount , currencyInfo  }, thunkAPI)=>{
    const { dispatch  } = thunkAPI;
    dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .resetErrors */ .n2)());
    dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .resetFixedRateInfo */ .pr)());
    void dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .setExchangeType */ .JW)(types_exchange__WEBPACK_IMPORTED_MODULE_8__/* .ExchangeType.Reverse */ .xS.Reverse));
    void dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .setFlow */ .kB)(types_exchange__WEBPACK_IMPORTED_MODULE_8__/* .FlowType.FixedRate */ .MK.FixedRate));
    const formattedAmount = (0,lib_bn__WEBPACK_IMPORTED_MODULE_7__/* .formatInputValue */ .so)(amount);
    if (formattedAmount === "" || (0,lib_bn__WEBPACK_IMPORTED_MODULE_7__.eq)(formattedAmount, 0)) {
        dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .setFromAmount */ .VH)(""));
        dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .setToAmount */ .o$)(formattedAmount));
        return;
    }
    if ((0,helpers_validate_numeric_string__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .Z)(formattedAmount, Number(currencyInfo?.decimals))) {
        void dispatch((0,features_calculator_calculator_slice__WEBPACK_IMPORTED_MODULE_2__/* .setToAmount */ .o$)(formattedAmount));
        void dispatch(fetchEstimationAmount());
    }
});

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 6670:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export isConditionError */
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5184);
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__);
// based on:
// https://stackoverflow.com/questions/68281810/how-to-debounce-createasyncthunk-from-redux-toolkit

/**
 * A debounced analogue of the `createAsyncThunk` from `@reduxjs/toolkit`
 * @param typePrefix - a string action type value
 * @param options - debounce settings with wait field in milliseconds.
 * @param payloadCreator - a callback function that should return a promise containing the result
 *   of some asynchronous logic
 * @param options - the options object
 */ const createDebouncedAsyncThunk = (typePrefix, options, payloadCreator)=>{
    const { maxWait =0 , leading =false  } = options ?? {};
    let timer = 0;
    let maxTimer = 0;
    let resolve;
    const invoke = ()=>{
        window.clearTimeout(maxTimer);
        maxTimer = 0;
        if (resolve) {
            resolve(true);
            resolve = undefined;
        }
    };
    const cancel = ()=>{
        if (resolve) {
            resolve(false);
            resolve = undefined;
        }
    };
    return (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createAsyncThunk)(typePrefix, payloadCreator, {
        condition () {
            const immediate = leading && !timer;
            window.clearTimeout(timer);
            timer = window.setTimeout(()=>{
                invoke();
                timer = 0;
            }, options.wait);
            if (immediate) return true;
            cancel();
            if (maxWait && !maxTimer) maxTimer = window.setTimeout(invoke, maxWait);
            return new Promise((res)=>{
                resolve = res;
            });
        }
    });
};
/*
  Then debouncedAsyncThunk rejected it throws ConditionError
*/ const isConditionError = (toBeDetermined)=>toBeDetermined?.name === "ConditionError";
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (createDebouncedAsyncThunk);


/***/ }),

/***/ 6479:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "FO": () => (/* binding */ resetExchangeStatusInfo),
/* harmony export */   "H3": () => (/* binding */ setExchangeInfo),
/* harmony export */   "Mt": () => (/* binding */ selectExchangeStatusInfo),
/* harmony export */   "Np": () => (/* binding */ selectTimerInfoForExchangeStatus),
/* harmony export */   "g": () => (/* binding */ exchangeStatusReducer)
/* harmony export */ });
/* unused harmony export exchangeStatusSlice */
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5184);
/* harmony import */ var _reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var dayjs__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1635);
/* harmony import */ var dayjs__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(dayjs__WEBPACK_IMPORTED_MODULE_1__);


const initialState = {
    payinAddress: undefined,
    payoutAddress: undefined,
    payinExtraId: undefined,
    fromCurrency: undefined,
    toCurrency: undefined,
    id: undefined,
    expectedAmountFrom: undefined,
    expectedAmountTo: undefined,
    status: undefined,
    validUntil: undefined,
    isExpiredExchange: false
};
const exchangeStatusSlice = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSlice)({
    name: "exchangeStatus",
    initialState,
    reducers: {
        setExchangeInfo: (state, action)=>{
            const isExpiredExchange = action.payload.validUntil ? dayjs__WEBPACK_IMPORTED_MODULE_1___default()(action.payload.validUntil).diff(dayjs__WEBPACK_IMPORTED_MODULE_1___default()(), "second") < 0 : false;
            return {
                ...action.payload,
                isExpiredExchange
            };
        },
        resetExchangeStatusInfo: ()=>initialState
    }
});
const { setExchangeInfo , resetExchangeStatusInfo  } = exchangeStatusSlice.actions;
const exchangeStatusReducer = exchangeStatusSlice.reducer;
const selectTimerInfoForExchangeStatus = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state.exchangeStatus, (_, nowTimestamp)=>nowTimestamp, ({ validUntil , createdAt  })=>{
    if (validUntil) {
        const seconds = dayjs__WEBPACK_IMPORTED_MODULE_1___default()(validUntil).diff(dayjs__WEBPACK_IMPORTED_MODULE_1___default()(), "second");
        const totalTime = dayjs__WEBPACK_IMPORTED_MODULE_1___default()(validUntil).diff(dayjs__WEBPACK_IMPORTED_MODULE_1___default()(createdAt), "second");
        return {
            displayDate: dayjs__WEBPACK_IMPORTED_MODULE_1___default().duration(dayjs__WEBPACK_IMPORTED_MODULE_1___default()(validUntil).diff(dayjs__WEBPACK_IMPORTED_MODULE_1___default()())).format("mm:ss"),
            duration: seconds,
            totalTime
        };
    }
    return {
        displayDate: "",
        duration: -1
    };
});
const selectExchangeStatusInfo = (0,_reduxjs_toolkit__WEBPACK_IMPORTED_MODULE_0__.createSelector)((state)=>state, (_)=>_, ({ exchangeStatus  })=>exchangeStatus);


/***/ }),

/***/ 3732:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (/* binding */ validateNumericString)
/* harmony export */ });
const NUM_REGEXP = /^\d*[.]?(\d*)$/;
function validateNumericString(num, maxDecimals) {
    const isValid = NUM_REGEXP.test(num);
    const match = NUM_REGEXP.exec(num);
    if (maxDecimals !== undefined && match?.[1]) {
        return isValid && match?.[1].length <= maxDecimals;
    }
    return isValid;
}


/***/ }),

/***/ 9884:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Dh": () => (/* binding */ getFormattedLargeValue),
/* harmony export */   "G": () => (/* binding */ lte),
/* harmony export */   "eg": () => (/* binding */ gte),
/* harmony export */   "eq": () => (/* binding */ eq),
/* harmony export */   "hC": () => (/* binding */ dividedBy),
/* harmony export */   "so": () => (/* binding */ formatInputValue)
/* harmony export */ });
/* unused harmony exports isNumberOrNumberString, abs, gt, minimum, maximum, lt, plus, minus, multipliedBy, getRemainder, formatAmount, truncateAmount, formatNumber */
/* harmony import */ var bignumber_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9766);
/* harmony import */ var services_ConfigService__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1164);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([bignumber_js__WEBPACK_IMPORTED_MODULE_0__]);
bignumber_js__WEBPACK_IMPORTED_MODULE_0__ = (__webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__)[0];


bignumber_js__WEBPACK_IMPORTED_MODULE_0__["default"].config({
    DECIMAL_PLACES: 20,
    EXPONENTIAL_AT: 30,
    FORMAT: {
        prefix: "",
        decimalSeparator: services_ConfigService__WEBPACK_IMPORTED_MODULE_1__/* .ConfigService.numberFormattingConfig.decimalSeparator */ .E.numberFormattingConfig.decimalSeparator,
        groupSeparator: services_ConfigService__WEBPACK_IMPORTED_MODULE_1__/* .ConfigService.numberFormattingConfig.groupSeparator */ .E.numberFormattingConfig.groupSeparator,
        groupSize: 3,
        secondaryGroupSize: 0,
        fractionGroupSeparator: "",
        fractionGroupSize: 0,
        suffix: ""
    }
});
const isNumberOrNumberString = (val)=>!!val && !new BN(val).isNaN();
const abs = (amount)=>new BN(amount || "0").abs();
const eq = (number, value)=>{
    try {
        return new bignumber_js__WEBPACK_IMPORTED_MODULE_0__["default"](number).eq(value);
    } catch (err) {
        return false;
    }
};
const gt = (number, value)=>{
    try {
        return new BN(number).gt(value);
    } catch (err) {
        return false;
    }
};
const minimum = (...args)=>{
    try {
        return BN.minimum(...args).toString();
    } catch (err) {
        return false;
    }
};
const maximum = (...args)=>{
    try {
        return BN.maximum(...args).toString();
    } catch (err) {
        return false;
    }
};
const gte = (number, value)=>{
    try {
        return new bignumber_js__WEBPACK_IMPORTED_MODULE_0__["default"](number).gte(value);
    } catch (err) {
        return false;
    }
};
const lte = (number, value)=>{
    try {
        return new bignumber_js__WEBPACK_IMPORTED_MODULE_0__["default"](number).lte(value);
    } catch (err) {
        return false;
    }
};
const lt = (number, value)=>{
    try {
        return new BN(number).lt(value);
    } catch (err) {
        return false;
    }
};
const plus = (number, value)=>{
    try {
        return new BN(number).plus(value);
    } catch (err) {
        return new BN("0");
    }
};
const minus = (number, value)=>{
    try {
        return new BN(number).minus(value);
    } catch (err) {
        return new BN("0");
    }
};
const multipliedBy = (number, value)=>{
    try {
        return new BN(number).multipliedBy(new BN(value));
    } catch (err) {
        return new BN("0");
    }
};
const dividedBy = (number, value)=>{
    try {
        return new bignumber_js__WEBPACK_IMPORTED_MODULE_0__["default"](number).dividedBy(new bignumber_js__WEBPACK_IMPORTED_MODULE_0__["default"](value));
    } catch (err) {
        return new bignumber_js__WEBPACK_IMPORTED_MODULE_0__["default"]("0");
    }
};
const getRemainder = (number, value)=>{
    try {
        return new BN(number).modulo(new BN(value));
    } catch (err) {
        return new BN("0");
    }
};
const formatAmount = (amount, decimals)=>{
    const value = new BN(String(amount).slice(0, 14) || "0").toFormat();
    if (decimals) {
        return value.slice(0, decimals);
    }
    return value;
};
const truncateAmount = (amount, decimals)=>plus(new BN(amount).decimalPlaces(decimals, 1), "0").toString();
const formatNumber = (val)=>{
    try {
        return new BN(val).toFormat();
    } catch (err) {
        return "0";
    }
};
const getFormattedLargeValue = (value)=>{
    const intPart = value.toString().replaceAll(services_ConfigService__WEBPACK_IMPORTED_MODULE_1__/* .ConfigService.numberFormattingConfig.groupSeparator */ .E.numberFormattingConfig.groupSeparator, "").split(services_ConfigService__WEBPACK_IMPORTED_MODULE_1__/* .ConfigService.numberFormattingConfig.decimalSeparator */ .E.numberFormattingConfig.decimalSeparator)[0].replace(/\s/g, "");
    // value > 100 000 000 000 => 100 B
    if (intPart.length > 11) {
        return `${new bignumber_js__WEBPACK_IMPORTED_MODULE_0__["default"](intPart.slice(0, -7)).dividedBy(100).toFormat()} B`;
    }
    // value > 10 000 000 => 10 M
    if (intPart.length > 7) {
        return `${new bignumber_js__WEBPACK_IMPORTED_MODULE_0__["default"](intPart.slice(0, -4)).dividedBy(100).toFormat()} M`;
    }
    // cut fractional part to make max value length - 14 (+1 dot sign)
    if (value.replace(/\s/g, "").length > 15) {
        return new bignumber_js__WEBPACK_IMPORTED_MODULE_0__["default"](value.replace(/\s/g, "")).toFormat(12 - intPart.length);
    }
    return value;
};
const formatInputValue = (value)=>{
    let formattedValue = value.replace("~ ", "");
    if (/,/.test(formattedValue)) {
        formattedValue = value.replace(",", ".");
    }
    if (formattedValue.startsWith(".")) {
        return "0.";
    }
    if (formattedValue.startsWith("0") && !formattedValue.startsWith("0.")) {
        return new bignumber_js__WEBPACK_IMPORTED_MODULE_0__["default"](formattedValue).toString();
    }
    return formattedValue;
};

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 1164:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "E": () => (/* binding */ ConfigService)
});

;// CONCATENATED MODULE: ./src/config/general.ts
const generalConfig = {
    currencyIconSize: 34,
    decimalSeparator: ".",
    groupSeparator: " "
};
/* harmony default export */ const general = (generalConfig);

;// CONCATENATED MODULE: ./src/services/ConfigService.ts

class ConfigService {
    static get numberFormattingConfig() {
        return {
            decimalSeparator: general.decimalSeparator,
            groupSeparator: general.groupSeparator
        };
    }
    static get defaultCurrencyIconSize() {
        return general.currencyIconSize;
    }
}


/***/ }),

/***/ 7296:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "MK": () => (/* binding */ FlowType),
/* harmony export */   "h8": () => (/* binding */ Step),
/* harmony export */   "xS": () => (/* binding */ ExchangeType)
/* harmony export */ });
var Step;
(function(Step) {
    Step["Details"] = "details";
    Step["Confirm"] = "confirm";
    Step["Complete"] = "complete";
})(Step || (Step = {}));
var FlowType;
(function(FlowType) {
    FlowType["FixedRate"] = "fixed-rate";
    FlowType["Standard"] = "standard";
})(FlowType || (FlowType = {}));
var ExchangeType;
(function(ExchangeType) {
    ExchangeType["Direct"] = "direct";
    ExchangeType["Reverse"] = "reverse";
})(ExchangeType || (ExchangeType = {}));


/***/ })

};
;